MPlayer(1)

NAZWA
mplayer - Movie Player dla Linuksa
mencoder - Enkoder (Koder) Filmów dla Linuksa

SKŁADNIA
mplayer [opcje] [ plik | URL | playlista | - ]
mplayer
[opcje globalne] plik1 [opcje specyficzne] [plik2] [opcje specyficzne]
mplayer
[opcje globalne] {grupa plików i opcji} [grupa opcji specyficznych]
mplayer
[dvd|vcd|cdda|cddb|tv]://tytuł [opcje]
mplayer
[mms[t]|http|http_proxy|rt[s]p]:// [użytkownik:hasło@]URL[:port] [opcja]
mencoder [opcje] [ plik | URL | - ] [-o plik]
[opcje] [ plik | URL | - ] [-o plik]
gmplayer [opcje] [-skin skórka]

OPIS
mplayer to odtwarzacz filmów dla LINUKSA (działa w wielu innych Uniksach, i na nie x86 CPU, patrz dokumentacja). Odtwarza większość plików MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM, pliki RoQ, opartych na kodekach XAnim i Win32 DLL. Możesz odtwarzać VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5, a nawet filmy WMV (bez bibliotek avifile).

Kolejną ważną cechą mplayera jest szeroki wybór wspieranych sterowników wyjścia. Pracuje z X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, ale możesz używać GGI, SDL (i w tym przypadku wszystkich ich sterowników), VESA (we wszystkich kartach kompatybilnych z VESA, nawet bez X!) i niektóre niskopoziomowe specyficzne dla kart sterowniki (dla Matrox, 3Dfx i ATI), i niektóre sprzętowe dekodery MPEG, takie jak Siemens DVB, DXR2 i DXR3/Hollywood+. Większość z nich wspiera programowe lub sprzętowe skalowanie, więc będziesz mógł oglądać filmy na pełnym ekranie.

MPlayer ma "wyświetlanie na ekranie" (OSD) w celu pokazania informacji, ładne duże, wygładzane i cieniowane wyświetlanie napisów i wizualne sprzężenie ze sterowaniem klawiatury. Wspierane są czcionki europejskie/ISO 8859-1,2 (polskie, czeskie, angielskie itp.), cyrylica, koreańskie w 9 formatach napisów (MicroDVD, SubRip, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub i nasz: MPsub) i napisy DVD (strumienie SPU, VobSub i Closed Captions). mencoder (Koder Filmów MPlayera) jest to prosty koder (kompresor) filmów, zaprojektowany do kodowania filmów otwieranych MPlayerem (patrz wyżej) do innych wspieranych formatów (patrz poniżej). Potrafi kodować do DivX4, XviD, kodeki libavcodec, PCM/MP3/VBRMP3 audio 1,2 lub 3-krokowo. Potrafi również kopiować strumieniowo, posiada potężny system pluginów (przycinanie, powiększanie, odwracanie, postprocesing, obracanie, skalowanie, szum, konwersja rgb/yuv) i inne.

gmplayer to MPlayer z graficznym interfejsem użytkownika. Posiada te same opcje co MPlayer.

OGÓLNE INFORMACJE
Sprawdź też dokumentację html.

Każda "flaga" opcji ma "przeciwflagę" do pary, np. dla -fs przeciwną jest opcja -nofs.

Możesz umieścić wszystkie opcje w pliku konfiguracyjnym, z którego mplayer będzie czytał przy uruchamianiu. Główny plik konfiguracyjny 'mplayer.conf' jest katalogu konfiguracyjnym (np. /etc/mplayer lub /usr/local/etc/mplayer), a określony dla użytkownika to '~/:.mplayer/config'. Opcje określone przez użytkownika unieważniają opcje z głównego pliku i opcje podawane z linii poleceń. Składnia pliku konfiguracyjnego to 'opcja=<wartość>', wszystko po '#' uważane jest za komentarz. Opcje działające bez wartości mogą być włączone przez ustawienie 'yes' lub '1' i wyłączane przez przypisanie im 'no' lub '0'. Również podopcje mogą być określane w ten sposób. PRZYKŁAD:
# Używaj sterownika Matrox jako domyślnego.
vo=xmga
# Uwielbiam stać na rękach gdy oglądam filmy.
flip=yes
# Dekoduj/koduj wielokrotne pliki png, zaczynaj do -mf on
mf= type=png:fps=25 Możesz naspisać plik konfiguracyjny pliku (wynikowego). Jeśli zamierzasz mieć plik konfiguracyjny dla pliku o nazwie 'movie.avi', utwórz plik nazwany 'movie.avi.conf' z opcjami w nim i przenieś go do ~/.mplayer lub do tego samego katalogu, co film.

OPCJE ODTWARZACZA (TYLKO MPLAYER)

-, -use-stdin
    Czytaj dane z stdin. Opcja -idx nie współpracuje w połączeniu z tym.

-autoq <jakość> (używaj z -vf pp)
    Dynamiczne zmiany poziomu postprocesingu w zależności od dostępnego wolnego czasu procesora. Numer, który wyszczególnisz, będzie najwyższym poziomem. Najczęściej możesz używać dużych liczb. Musisz użyć w komendie -vf pp bez parametrów, aby użyć tej opcji.

-autosync <czynnik>
    Stopniowo dostosowuj synchronizację A/V bazując na pomiarze opóźnień audio. Wyszczególnienie -autosync 0, domyślnie, spowoduje, że "czas" klatki będzie bazowany zupełnie na pomiarze opóźnienia audio. Wyszczególnienie -autosync 1 zrobi to samo, ale nieznacznie zmieni używany algorytm korekcji A/V. Nierówne klatki wideo szacowane, które odtwarzane są dobrze z -nosound często mogą być wspomagane przez ustawienie tego do całkowitych wartości większych niż 1. Większe wartości, bliższe timingowi (klatki) będą -nosound. Wypróbuj -autosync 30 do tłumienia problemów ze sterownikami dźwięku, które nie nadzorują perfekcyjnie pomiaru opóźnienia. Z tą wartością, jeżeli zdarzy się duże odgałęzienie synchronizacji A/V, zostaną wzięte tylko 1 lub 2 sekundy do wyregulowania. To opóźnienie w reakcji z czasem do nagłego wygałęzienia Opóźnienie w reakcji czasu do nagłego offsetu A/V powinno być tylko ubocznym efektem włączanie tej opcji, dla wszystkich sterowników dźwięku.

-benchmark
    Pokaż statystyki użycia procesora i przesuwania klatek na końcu. Używaj w kombinacji z -nosound i -vo null dla benchmarku tylko wideo.

-edl <nazwa pliku>
    Włącza edytowanią listę decyzji (ang. edit decision list (EDL)) podczas odtwarzania. Wideo będzie pominięte, audio będzie wyciszanie i podgłaszane zgodzie z wpasami w podanym pliku. Po szczegóły i informacje jak tego używać sięgnij do DOCS/documentation.html#edl.

-edlout <nazwa pliku>
    Tworzy nowy plik i zapisuje edytowaną listę decyzji (EDL) zapisywaną do tego pliku. Podczas odtwarzania, kiedy użytkownik wciśnie 'i', wpisy do pominiętych dwóch ostatnich sekund zostaną zapisane do pliku. Prowadzi to do startowege punktu, z którego użytkownik może 'delikatnie ustawic' wpisy EDL później. Po szczegóły sięgnij do DOCS/documentation.html#edl.

-enqueue (Tylko GUI)
    Kolejkuj pliki podane w linii komend w playlistę, zamiast odrazu je odtwarzać.

-fixed-vo (KOD BETA!)
    Wymusza ustawienia systemu wideo dla plików wielokrotnych (jedna (nie)inicjalizacja dla wszytskich plików). Dlatego też tylko jedno okno zostanie otworzone dla wszystkich plików. Obecnie następujące sterowniki możnawykorzystać: x11, xv, xvidix, xmga, gl2 i svga.

-framedrop (zobacz także opcję -hardframedrop !)
    Porzuca wyświetlanie niektórych klatek, by utrzymać synchronizacje A/V na wolnych systemach. Filtry wideo nie będą stosowane dla tych klatek. Dla klatek B nawet dekodowanie jest kompletnie pominięte.

-h, --help
    Zobacz małe streszczenie opcji.

-hardframedrop
    Większa intensywność opuszczania klatek (dekodowanie przerywane). Prowadzi do zniekształceń obrazu.

-identify
    Pokaż parametry pliku w łatwo przyswajanym formacie. Skrypt gładko identyfikuje inne wyjścia mplayera i (mamy nadzieję) pokazuje nazwy plików.

-input <komendy>
    Ta opcja może być używana do konfiguracji pewnych części systemu wejściowego. Podstawowa ścieżka to ~/..mplayer/. INFORMACJA:
    Autopowtarzanie jest obecnie tylko wspierane przez dżojstiki.
    Dostępne opcje to: Czytaj alternatywny input.conf. Jeżeli podany był bez ścieżki, wybierany jest ~/.mplayer. Zwlekaj w msek przed tym, jak wystartujemy, żeby automatycznie powtórzyć klucz (0 żeby wyłączyć). Jak często ma być naciskany klawisz na sekundę kiedy powtarzamy. Pokaż wszystkie klawisze, którymi można przeskakiwać. Pokaż wszystkie komendy, którymi można przeskakiwać. Wybierz urządzenie sterujące (domyślnie jest to /ev/input/js0). Czytaj komendy z otrzymanego pliku. Głównie pożyteczny z fifo.

-lircconf <plik konfiguracyjny>
    Wybierz plik konfiguracyjny dla LIRC (zdalana kontrola Linuxa na podczerwień, zobacz http://www.lirc.org), jeżeli nie odpowiada ci domyślnie ~/.lircrc.

-loop <numer>
    Ilość <numer> powtarzania odtwarzania filmu. 0 oznacza zawsze.

-menu (KOD BETA)
    Włącz wsparcie menu OSD.

-menu-root <wartość> (KOD BETA)
    Wybierz menu główne.

-menu-cfg <plik> (KOD BETA)
    Użyj alternatywnego pliku menu.conf.

-nojoystick
    Wyłącz wspieranie dżojstika. Domyślnie jest włączone, jeżeli ją wkompilowałeś.

-nolirc
    Wyłącz wspieranie LIRC.

-nortc  Wyłącz używanie Linux RTC (real-time clock - /dev/rtc) jako mechanizm
    taimingu.

-playlist <plik>
    Odtwarzaj pliki według tej listy (1 plik rzędzie, lub Winamp, lub format asx).

-quiet  Wyświetlaj mniej komunikatów statusu.

-really-quiet  Wyświetlaj jeszcze mniej komunikatów statusu.

-sdp
    Określeniem tego pliku wejściowego jest SDP ('Protokół Rodzaju Sesji') Plik ten opisuje sesję RTP (zobacz http://www.live.com/mplayer/).

-shuffle  Odtwarzaj pliki w losowej kolejności.

-skin <katalog skórki> (KOD BETA)
    Załaduj skórkę z podanego katalogu (BEZ nazwy ścieżki). PRZYKŁAD: Próbuje Skin/fittyfene. Najpierw sprawdza /usr/local/share/mplayer/ a potem ~/.mplayer/.

-slave  Ta opcja przełącza w tryb slave.
    Planowane do użycia MPlayer'a jako backend innych programów. Zamiast przechwytywania wciśniętych klawiszy klawiatury, MPlayer będzie czytał proste komendy. Sekcja PROTOKÓŁ TRYBU SLAVE Wyjaśnia składnię.

-softsleep
    Używaj wysokiej jakości oprogramowania zegarów. Dokładnie działa RTC bez wymagania specjalnych przywilejów. Opłaca się na szybkich procesorach.

-speed <0.01-100>
    Ustaw prędkość tępa odtwarzania.

-sstep <sek>
    Określ ilość sekund, między wyświetlonymi klatkami. Użyteczny w pokazie klatek (slideshow).

OPCJE DEMUXERA/STRUMIENI

-aid <id> (patrz też opcje -alang)
    Wybierz kanał audio [MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127 VOB(AC3): 128-159 VOB(LPCM): 160-191] MPlayer wyświetli dostępne ID'esy, kiedy uruchamia się w trybie verbose (-v).

-alang <dwu literowy kod kraju> (patrz opcję -aid)
    Działa tylko z odtwarzaniem DVD. Wybiera język dźwięku na DVD. Zawsze próbuje otworzyć strumień audio pasujący do podanego kodu. Aby uzyskać listę dostępnych języków, użyj opcji -v. i zajrzyj do rezultatów. PRZYKŁAD: Odtwarza polski i powraca do angielskiego, gdy polski nie jest dostępny.

-audio-demuxer <numer> (-tylko pliki audio)
    Zmusza audio demuxera do typu -audiofile. Podaj ID demuxera które są zdefiniowane w demuxers.h. Użyj -audio-demuxer 17 by wymusić wykrywanie .mp3.

-audiofile <nazwa pliku>
    Otwórz audio z zewnętrznego pliku (WAV, MP3 lub Ogg Vorbis) podczas odtwartzania filmu.

-audiofile-cache <kBajty>
    Włącza cache dla strumieni używanych przez -audiofile, używając określnonej ilości pamięci.

-bandwidth <wartość>
    Określ maksymalny bandwidth (bufor) dla strumieniowania sieciowego (dla serwerów będzie to w stanie przesłać zawartość różnych bitrataów) W pełni użyteczne jeśli chcesz odlądać na żywo media ze stumieni przy wolnym połączeniu.

-cdrom-device <ścieżka do urządzenia>
    Zmień ścieżkę do urządzenia CDROM z domyślnego /dev/cdrom.

-cache <kBajty>
    Ta opcja określa ile pamięci (w kBajtach) ma być użyte do precachingu pliku/URL. Szczególnie użyteczne w powolnych mediach (domyślnie -nocache).

-cdda <opcja1:opcja2>
    Ta opcja może być użyta by otworzyć CD Audio w MPlayerze.
    Dostępne opcje to: ustal prędkość obrotów CD ustal poziom paranoia (0-2) 0: wyłącz sprawdzanie
    1: sprawdzanie tylko overlap (domyślnie)
    2: pełna korekcja danych i weryfikacja użyj wybranego urządzenia SCSI rozmiar obszaru czytania wymuś minimalny overlap search podczas weryfikacji do <wartość> sektorów. Zakłada, że początek równoważy się ze ścieżką 1 gdy zaraportowano w TOC zaadresowanie na LBA 0. Niektóre sterowniki Toshiba potrzebują ich by poprawnie określić granice ścieżek. Dodaj sektory <wartość> do wartości podanych podczas adresowania ścieżek. Może być ujemna. (nie) akceptuj wadliwych rekonstrukcji danych.

-channels <numer>
    Wybierz liczbę kanałów odtwarzania, domyślnie 2 jeżeli nie został określony. Jeżeli liczba kanałów wyjścia jest większa od liczby kanałów wejścia, puste kanały zostaną wstawione (poza miksowaniem mono do stereo, wtedy kanał mono zostanie powielony we wszystkich kanałach wyjścia). Jeżeli liczba kanałów wyjścia jest mniesza od liczby kanałów wejścia, wynik zależny jest od dekodera audio (-afm). MPlayer wysyła zapytanie do dekodera by dekodował audio do wybranej ilości kanałów. Potem ustawia dekoder by spełniał wymagania. Jeżeli dane wyjściowe dekodera zawierają więcej kanałow niż wymagane, przekraczające kanały zostaną przycięte. Zazwyczaj jest to potrzebne tylko przy odtwarzaniu plików wideo z dźwiękiem AC3 (takich jak DVD). W tym przypadku liba52 dekoduje domyślnie i poprawnie miksuje w dół (downmixe) audio w wymaganej liczbie kanałów. INFORMACJA:
    Aktualnie ta opcja jest honorowana przez kodeki (tylko AC3), filtry (surround) i sterowniki ao (co najmniej OSS).
    Dostępne opcje to: Stereo Surround Full 5.1

-chapter <id rozdziału[-<id końcowego rozdziału>]
    Od którego rozdziału rozpoczyna odtwarzanie. Opcjonalnie określa w którym rozdziale kończy odtwarzanie (domyślnie: 1). Przykład można znaleźć poniżej.

-csslib <nazwa pliku>
    (opcja starego stylu DVD) Ta opcje jest używana do zmiany domyślnej lokalizacji libcss.so.

-cuefile <nazwa pliku> (zabacz także -vcd)
    Odtwarzaj (S)VCD z obrazów dysków CDRwin (format pliku bin/cue), opisanych przez wybrany plik.

-demuxer <numer>
    Wymuszenie typu demuxera. Podaj ID demuxera zdefiniowane w demuxers.h. Użyj -demuxer 17 by wymusić detekcje mp3.

-dumpaudio (tylko MPLAYER)
    Zrzucanie surowego skompresowanego strumienia audio do ./stream.dump (przydatny z mpeg/ac3).

-dumpfile <nazwa pliku> (tylko MPLAYER)
    Ustal plik który powinien być zrzucony. Powinien być użyty razem z -dumpaudio/-dumpvideo/-dumpstream.

-dumpstream (tylko MPLAYER)
    Zrzuca surowy strumień do ./stream.dump. Przydatny gdy rippujesz z DVD lub sieci.

-dumpsub (tylko MPLAYER)
    Zrzuca strumień napisów ze strumienia VOB.

-dumpvideo (tylko MPLAYER)
    Zrzuca surowy skompresowany strumień video do ./stream.dump (nie bardzo użyteczny).

vd://<id tytułu>
    Przekaż MPlayerowi które filmy (określone przez id tytułu) ma odtwarzać. Dla przykładu czasem '1' to trailery, a '2' to prawdziwy film. INFORMACJA:
    Czasami deinterlacing jest wymagany do odtwarzania DVD, zobacz opcję -vf pp=0x20000.

-dvd-device <ścieżka do urządzenia>
    Zmień ścieżkę do urządzenia DVD z domyślnej /dev/dvd.

-dvdangle <id ujęcia>
    Niektóre dyski DVD zawierają sceny które mogą być oglądane z różnych ujęć. Tutaj możesz podać MPlayer które ujęcia ma używać (domyślnie: 1). Przykład można znaleźć poniżej.

-dvdauth <urządzenie DVD>
    (opcja starego stylu DVD) Włącz w DVD autentyfikację korzystając z podanego urządzenia.

-dvdkey <klucz CSS>
    (opcja starego stylu DVD) Gdy dekodujesz skopiowany plik VOB z DVD, ta opcja przekazuje klucz CSS potrzebny do odkodowania VOB (klucz jest wyświetlany podczas autentyfikacji z urządzenia DVD używając -dvdauth).

-dvdnav (KOD BETA)
    Wymuszaj użycie libdvdnav.

-forceidx
    Wymuszaj przebudowanie INDEXu. Użyteczny dla plików z uszkodzonym indeksem (niesynchroniczny, itp.). Przeszuka plik jeśli to możliwe. Możesz ustalić index na stałe korzystając z MEncoder (patrz dokumentacja).

-fps <wartość>
    Zmień tempo klatek video (jeżeli wartość jest zła/zaginiona w nagłówku) (wartość rzeczywista).

-frames <numer>
    Odtwórz/konwertuj tylko pierwsze <numer> klatek, potem wyłącz.

-hr-mp3-seek (tylko .MP3)
    Dokładne przeszukiwanie mp3. Domyślnie: włączone gdy odtwarza z zewnętrznego pliku mp3, gdy potrzebujemy znaleźć bardzo dokładną pozycję do zatrzymania synchronizacji A/V. Potrafi być wolne, szczególnie gdy szukamy do tyłu - jest to przewijanie z samego początku by znaleźć dokładną klatkę.

-idx (patrz opcja -forceidx)
    Przebuduj INDEX AVI jeżeli INDEX nie zostanie znaleziony, ten sposób pozwala przeszukać plik. Użyteczny przy uszkodzonych/niekompletnych przesyłkach, lub źle stworzonych AVI.

-mc <sekundy/klatki>
    Maksymalna korekcja synchronizacji A-V na klatkę (w sekundach).

-mf <opcja1:opcja2:...>
    Używany gdy dekodujemy z wielokrotnego pliku PNG lub JPEG.
    Dostępne opcje to: szerokość danych wyjściowych (autodetekcja) wysokość danych wyjściowych (autodetekcja) fps danych wyjściowych (domyślnie: 25) typ pliku danych wejściowych (dostępne typy : jpeg, png, tga, sgi)

-ni (tylko .AVI)
    Wymuś użycie non-interleaved AVI parser (pozwala odtworzyć niektóre uszkodzone pliki AVI).

-nobps (tylko .AVI)
    Nie używaj średniej wartości bajtów/sek dla synchronizacji A-V (AVI). Pomaga w niektórych plikach AVI z uszkodzonym nagłówkiem.

-noextbased
    Wyłącza selekcją demuksera bazującą na rozszerzeniu plkiu. Domyślnie, kiedy typ pliku (demukser) nie może pewnie wykryć (plik nie posiada nagłówka lub jest niewystarczająco pewny), rozszerzenie pliku jest użyte do wybrania demuksera. Zawsze wraca do zawartości bazowanej na wyborze demiksera.

asswd <hasło> (zobacz też opcję -user)
    Podaj hasło dla autentyfikacji http.

-rawaudio <opcja1:opcja2:...>
    Ta opcja pozwala na odgrywanie plików audio raw. Może także być użyta do otworzenia audio CD bez 44KHz 16Bit stereo. Dostępne opcje to: numer kanału tempo próbki w sekundach rozmiar próbki w bajtach fourcc w hex

-rawvideo <opcja1:opcja2:...>
    Ta opcja pozwala ci na odtwarzanie nie wykończonych plików wideo.
    Dostępne opcje to: use raw video demuxer tempo w klatkach na sekundę, domyślne 25.0 ustaw standard rozmiaru obrazu szerokość obrazu w pikselach wysokość obrazu w pikselach ustaw przestrzeń kolorów przestrzeń kolorów (fourcc) w hex rozmiar klatki w Bajtach

-rtsp-stream-over-tcp
    Używany z 'rtsp://' URLs do określenia nadciągających pakietów RTP i RTCP będących strumieniami TCP (używanie tego samego połączenia TCP jako RTSP). Ta opcja będzie pożyteczna, jeżeli masz połączenie z Internetem, nieprzepuszczające pakietów UDP (zobacz http://www.live.com/mplayer/).

-skipopening
    Pomiń początek DVD (tylko dvdnav).

-sb <pozycja w bajtach> (patrz też opcję -ss)
    Szukaj do pozycji w bajtach. Przydatne do odtwarzania z obrazu CDROMu / pliku vob ze śmieciami na początku.

-srate <Hz>
    Wymuś tempo odtwarzania na podane, zmieniając prędkość video zachowaj synchronizację a-v. MEncoder podaje tę wartość do lame dla resamplingu.

-ss <czas> (patrz też opcję -sb)
    Przeskakuje do podanej pozycji. PRZYKŁAD: przeskakuje do 56 sekundy przeskakuje do 1 godziny 10 minut

-tv <opcja1:opcja2:...>
    Ta opcja umożliwia przechwytywanie TV MPlayerem. INFORMACJA:
    MPlayer nie akceptuje dwukropków, więc podawaj kropkę w ID urządzenia, (np. hw.0,0 zamiast hw:0,0).
    Jest tak celowo, chociaż możesz wybrać jakieś tempo, kiedy używasz ALSA, kodek audio LAME potrafi kodować tylko "domyślne" tempo. Otrzymasz jakiś plik .avi bez dźwięku, kiedy wybierzesz jakiś dziwne tempo i użyjesz tego kodeka.
    Dostępne opcje to: bez dźwięku dostępne: dummy, v4l, bsdbt848 Wyszczególnij inne urządzenia niż domyślny /dev/video0. Wybierz inne wejście niż domyślne 0 (Television) (po listę patrz na dane wyjściowe na konsoli) Wyszczególnij częstotliwości dla tunera (np. 511.250). Nie kompatybilne z parametrami kanałów. format danych wyjściowych tunera (yv12, rgb32, rgb24, rgb16,rgb15, uyvy, yuy2, i420) szerokość okna danych wyjściowych wysokość okna danych wyjściowych tempo klatki przechwytywanego wideo (klatki na sekundę) maksymalny rozmiar buforu przechwytującego w megabajtach (domyślnie: dynamicznie) dostępne: PAL, SECAM, NTSC Ustaw tuner na kanał <wartość>. dostępne: europe-east,europe-west, us-bcast, us-cable, itp. Ustaw nazwy dla kanałów. Użyj dla przestrzeni w nazwach (lub odtwarzaj quotingiem ;-). Nazwy kanałów zostaną wtedy zapisane używając OSD, a komendy tv_step_channel, tv_set_channel i tv_last_channel będą wtedy użyteczne używając zewnętrznego urządzenia (zobacz lirc). Nie kompatybilne z parametrami częstotliwości. Ostrzeżenie: Liczba kanałów zostanie umeszczona w liście 'channels' (kanały), zaczynając od 1. Przykład: użyj tv://1, tv://2, tv_set_channel 1, tv_set_channel 2, itd. ustaw korekcję kolorów na karcie wideo. ustaw bitrate wychwytywania audio przechwyć audio nawet gdy nie ma żródła audio zaraportowanego przez v41 przechwytywanie z ALSA wybierz któryś tryb audio: 0: mono
    1: stereo
    2: język 1 3: język 2 Domyślnie, liczba zapisanych kanałów audio jest automatycznie ustawiana przez zapytanie trybu audio karty tv. Ta opcja pozwala wymusić zapisywanie stereo/mono bez względu na opcję trybu i wartość zwracana jest przez v4l. Może być to użyte przy kłopotach, kiedy karta tv nie jest w stanie zgłosić aktualnego trybu audio. ustaw urządzenie audio /dev/... dla OSS,
    hardware ID dla ALSA wybierz wyjście audio karty, jeżeli jest ich więcej Ta opcja ustawia parametry miksera karty wideo. Nie przyniesie to efektów, jeżeli twoja karta go nie posiada. Wartość 0 oznacza przechwytywanie i byforowanie audi i wideo razem (domyślna dla mencodera). Wartość 1 (domyślna dla mplayera) oznacza przechwycenie tylko wideo i pozwolenie przesyłanie dźięku z krty TV do karty dźwiękowej poprzez kabel je łączący.
Użyj sprzętowej kompresji mjpeg (jeżeli kart to wspiera).s mjpeg Gdy używasz tej opcji, nie musisz podawać szerokości i wysokości okna danych wyjściowych, ponieważ mplayer ustali jes automatycznie z wartości decimation (patrz poniżej). wybierz rozmiar obrazu, który będzie skompresowany przez sprzętową kompresję mjpeg: 1: pełny rozmiar
    704x576 PAL
    704x480 NTSC
2: średni rozmiar
    352x288 PAL
    352x240 NTSC
4: mały rozmiar
    176x144 PAL
    176x120 NTSC wybierz jakość kompresji jpeg
(quality < 60 jest zalecana dla trybu pełnego rozmiaru)

-user <nazwa użytkownika> (zobacz także opcję -passwd)
    Wyszczególnienie nazwy użytownika do autentyfikacji http.

ieżka>
    Odtwarzaj ścieżkę video CD z urządzenia lub obrazu pliku (zobacz -cuefile).

-vid <id>
    Wybierz kanał video [MPG: 0-15 ASF: 0-255].

-vivo <sub-opcje> (KOD DEBUGOWANY)
    Wymuś parametry audio dla demuxera .vivo (by usunąć błędy).

OPCJE OSD/SUB
INFORMACJE:
Zobacz także rozszerzenie -vf.

-dumpmicrodvdsub (tylko MPLAYER)
    Konwertuj podane napisy (określone przez opcję -sub) do formatu napisów MicroDVD. Tworzy plik dumpsub.sub w obecnym katalogu.

-dumpmpsub (tylko MPLAYER)
    Konwertuj podane napisy (określone przez opcję -sub) do formatu napisów MPlayera, MPsub. Tworzy plik dump.mpsub w obecnym katalogu.

-dumpsrtsub (tylko MPLAYER)
    Konwertuj podane napisy (określone przez opcje -sub) do formatu napisów bazowanych na czasie SubViewer (SRT). Tworzy plik dumpsub.srt obecnym katalogu.

-dumpjacosub (tylko MPLAYER)
    Konwertuj podane napisy (określone przez opcje -sub) do formatu napisów bazowanych na czasie JACOsub. Creates a dumpsub.js obecnym katalogu.

-dumpsami (tylko MPLAYER)
    Konwertuj podane napisy (określone przez opcje -sub) do formatu napisów bazowanych na czasie SAMI. Tworzy plik dumpsub.smi obecnym katalogu.

-dumpsub (tylko MPLAYER) (KOD BETA)
    Zrzuć podstrumień napisów ze strumieni VOB. Zobacz także opcje -dump*sub i -vobsubout*.

-ifo <plik vobsub ifo>
    Wskaż plik który będzie użyty do załadowania palety i rozmiaru klatek dla VOBSUB.

-ffactor <numer>
    Wypróbuj czcionki alphamap. Może być:

-font <ścieżka do pliku font.desc>
    Szuka czcionek OSD/SUB w alternatywnym katalogu (domyślny dla normalnych czcionek: ~/.mplayer/font/font.desc, domyślny dla czcionek FreeType: ~/.mplayer/ubfont.ttf).
    NOTATKA:
    Z FreeType, ta opcja ustali ścieżkę do pliku tekstowego czcionek.
    Opcje -subfont-* dostępne są tylko z wkompilowanym wsparciem dla FreeType. PRZYKŁAD: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf

-noautosub
    Wyłącz automatyczne ładowanie napisów.

-overlapsub
    Włącz wsparcie częściowego pokrywania napisów dla wszystkich formatów napisów.

-nooverlapsub
    Wyłącz wsparcie częściowego pokrywania napisów dla wszystkich formatów napisów (domyślnie włącza się wsparcie tylko dla wybranych formatów).

-osdlevel <0-4> (tylko MPLAYER)
    Wybierz, w którym trybie powinien włączyć się OSD tylko napisy głośność + szukanie (domyślnie) głośność + szukanie + zegar + procent głośność + szukanie + zegar + procent + całkowity czas

-sid <id> (patrz też opcję -slang)
    Włącz wyświetlanie napisów DVD. Poza tym, MUSISZ podać numer który pokrywa się z językiem napisów DVD (0-31). Po listę dostępnych języków dla napisów, użyj opcji -v i patrz na konsolę.

-slang <dwu literowy kod kraju> (patrz też opcję -sid)
    Działa tylko z odtwarzaniem DVD! Włącza/wybiera podane języki napisów. Po listę dostępnych napisów, użyj opcji -v i patrz na konsolę. PRZYKŁAD: Wybiera polskie i powraca do angielskich, gdy polskie nie są dostępne.

-sub <plik napisów>
    Użyj/wyświetl ten plik napisów.

-sub-bg-alpha <0-255>
    Wybierz wartość kanału alfa dla napisów i teł OSD Duże wartość oznaczają większą przezroczystość. Wartość 0 jest rozszerzeniem i oznacza kampletną przezroczystość.

-sub-bg-color <0-255>
    Określ wartość koloru dla napisów i teł OSD Obecnie napisy są w skali szarości, więc wartosć odpowiada intensywonści koloru. Wartość 255 oznacza białość, 0 czerń.

-subcc Wyświetl podpisy DVD Closed Caption (CC).
    To NIE są napisy VOB, są to specjalne podpisy ASCII niesłyszących zakodowane w strumieniu VOB w większości DVD 1 regionu. Napisy CC nie są jak do tej pory wspierane przez DVD z innych regionów.

-subcp <strona kodowa>
    Jeżeli masz w systemie iconv(3), możesz użyć tej opcji do wybrania strony kodowej napisów. PRZYKŁAD -subcp latin2
    -subcp cp1250

-sub-demuxer <numer> (KOD BETA)
    Wymuś tym demuxera napisów dla -subfile.

-subdelay <sek>
    Opóźnienie napisów w <sek> sekundach. Może być ujemne.

-subfont-autoscale <0-3>
    Ustawia tym autoskalowanie. INFORMACJA:
    Zero oznacza, że text-scale i osd-scale są wysokością czcionki w punktach.
    Może być: bez autoskalowania proporcjonalny do wysokości filmu proporcjonalny do szerokości filmu proporcjonalny do przekątnej filmu (domyślnie)

-subfont-blur <0-8>
    Ustaw promień rozmycia czcionki (domyślnie: 2).

-subfont-encoding <wartość>
    Ustaw kodowanie czcionki. Kiedy ustawione jest na "unicode", wszystkie znaki z pliku będą zrenderowane i będzie używany unicode (domyślnie: unicode).

-subfont-osd-scale <0-100>
    Ustaw autoskalowanie osd (domyślnie: 6).

-subfont-outline <0-8>
    Ustaw grubość linii zewnętrznej czcionki (domyślnie: 2)

-subfont-text-scale <0-100>
    Ustawia autoskalowanie napisów (procent rozmiaru ekranu) (domyślnie: 5).

-subfps <tempo>
    Wybierz tempo klatek/sek pliku napisów (numer float), domyślnie: ten sam fps co w filmie. INFORMACJA:
    TYLKO dla plików SUB opartych na klatkach tj. NIE format MicroDVD!

-subfile <nazwa pliku> (KOD BETA)
    Obecnie bezcelowe. To samo co -audiofile, ale dla strumieni napisów (OggDS?).

-subpos <0 - 100> (użyteczny z rozszerzeniem -vf)
    Wybierz pozycję napisów na ekranie. Wartość jest poziomą pozycją napisów w % wysokości ekranu.

-subalign <0-2>
    Określ, jak napisy powinny zostać wyrównane z subpos. 0 znaczy wyrównanie do góry (oryginalne/domyślnie zachowanie), 1 oznacza wyrównanie do środka, a 2 wyrównanie do dołu.

-subwidth <10-100>
    Określ maksymalną szerokość napisów na ekranie. Wpełni użyteczne dla wyjścia TV. Wartość jest szerokością napisów w % szerokości ekranu.

-unicode
    Przekaż MPlayerowi by przetwarzał plik napisów jako UNICODE.

-utf8  Przekaż MPlayer'owi by przetwarzał plik napisów jako UTF8.

-sub-no-text-pp
    Wyłącz wszystkie metody post processingu teksu wykonywanego po załadowaniu napisów. Używane w celu usuwania błędów.

-vobsub <plik vobsub bez rozszerzenia>
    Określ plik VobSub które będą użyte jako napisy. Jest to pełna ścieżka do pliku bez rozszerzenia, tj. bez ".idx",

-vobsubid <0-31>
    Określ id napisów VobSub.

-spualign <-1-2>
    Określ jak napisy spu (DVD/VobSub) powinny zostać wyrównane. Wartości są takie same, jak dla -subpos, z ekstara wyborem -1 dla orydinalnej pozycji.

-spuaa <tryb>
    Tryb antialiasingy/skalowania dla DVD/VobSub. Wartość 16 może zostać dodana do trybu aby wymusić skalowanie nawet wtedy, gdy oryginalny i przeskalowany rozmiar klatki już dobrano, na przykład aby wygładzić napisy rozmyciem guassowym. Dostępne tryby, to: żaden (najszybszy, bardzo brzydki) zbliżony (uszkodzony??) pełny (wolne) bilinear (domyślny, szybki nie zbyt zły) używa rozmycia guassowego swscaler (wygląda bardzo dobrze)

-spugauss <0.0-3.0>
    Zmiana parametru używania guassowego przez -spuaa 4. Wyższy oznacza większe rozmycie. Domyślnie jest to 1.0.

OPCJE WYJŚCIA AUDIO (TYLKO MPLAYER)

-abs <wartość> (PRZESTARZAŁE)
    Zmień wykryty bufor audio urządzenia/karty, tylko -ao oss

-af <plugin1[=opcje],plugin2,...>
    Aktywuj, oddzieloną przecinkami, listę filtrów audio i ich opcji.
    Dostępne opcje to: Zmień częstotliwość próbki audio do liczby całkowitej srate (Hz). Wspierany tylko format 16 bitowy little endian. Zmień liczbę kanałów na kanał wyjściowy nch. Jeżeli liczba kanałów wyjścia jest większa od liczby kanałów wejścia, puste kanały zostaną wstawione (poza miksowaniem mono do stereo, wtedy kanał mono zostanie powielony we wszystkich kanałach wyjścia). Jeżeli liczba kanałów wyjścia jest mniesza od liczby kanałó wejścia, kanały przekraczające ją zostaną przycięte. Wybierz format f i bajty na sekundę bps użyte dla wyjścia warstwy filtru. Opcja bps jest liczbą całkowitą i oznacza Bajty na próbkę. Format f jest ciągiem znaków (string) zawierającym mix z:
    alaw, mulaw lub imaadpcm
    float lub int
    unsigned lub signed
    le lub be (little lub big endian)
    Wybierz poziom głośności wyjścia. Ten filtr nie jest re-używalny i może zatem być uruchomiony tylko raz dla wszystkich strumieni audio. v: żadanie przyrostu w dB dla każdego kanału w strumieniu. Przyrost może być ustawiony od -200dB do +40dB (gdzie -200dB kompletnie wycisza dźwięk i +40dB oznacza przyrost 1000).
    sc: włącz wycinanie programowe.
    Miesza kanały arbitralnie, zobacz DOCS/sound.html po szczegóły. n: liczba kanałów wyjściowych (1 - 6). lij: ile kanałów wyjścowych j jest wymieszanych w kanale i. Dodaj kanał sub-woofer. fc: Wycięta częstotliwość dla niskopasowych filtrów (20Hz do 300Hz) domyśnie jest to 60Hz.
    ch: liczba kanałów dla podkanałów. Dokoder dla macieży kodowania dźwięku serround, pracuje z wieloma 2 kanałowymi plikami. d: opóźnie czasu w ms dla tylnych głośników (0ms do 1000ms) domyślnie jest to 15ms. Opóźnij wyjście dźwięku. Określ opóźnienie dla wszytskich kanałów w milisekundach (licza zmiennopozycyjna od 0 do 1000).

-af-adv <force=(0-3):list=(filtry)> (patrz też opcję -af)
    Określ zaawansowane opcje filtrów audio: Wymuszanie trybu wprowadzenia filtrów audio w/g jednego z nastepujących: 0: Kompletnie automatyczne wprowadzanie filtrów (domyślnie)
    1: Zoptymalizowany do szybkości
    2: Zoptymalizowany do dokładności
    3: Wyłącz auto To samo co -af (patrz też opcję -af).

-ao <sterownik1[:urządzenie], sterownik2,...[,]>
    Określ priorytetową listę wyjściowych sterowników audio(opcjonalne z urządzeniem) do użycia. Urządzenie jest także poprawne z SDL, wtedy oznacza podsterownik.
    Możesz pobrać listę dostępnych sterowników patrz -ao help.
    Jeżeli lista wlokła się ',' wróci do sterownika nie listowanego. PRZYKŁAD Spróbuj użyć OSS z określonym urządzeniem dźwięku, i wróć do innych, jeśli operacja nie powiodła się. określ podsterownik SDL

-aofile <nazwa pliku>
    Nazwa pliku dla -ao pcm.

-aop <list=plugin1,plugin2...:option1=value1:opt2=val2...>
    Określ plugin(y) audio i ich opcje (patrz też dokumentacja). Dostępne opcje to: RSs oddzielona przecinkami lista pluginów (resample,surround, format, volume, extrastereo,volnorm) przykładowy plugin, nie używaj go. format danych wyjściowych (tylko plugin formatu) częstotliwość danych wyjściowych (tylko plugin próbkowania) głośność (tylko głośność pluginu) ustawienia stereo, domyślnie to 1 (tylko plugin extrastereo) kompresuj możliwości "programowego-wycinania" (tylko plugin głośności)

-delay <sekundy>
    Opóźnienie audio w sekundach (mogą być +/- wartości rzeczywiste).

-format <0-8192>
    Wybierz format używany do wyjścia z warstwy filtrującej (ang. filter layer) (zgodnie z definicjami w libao2/afmt.h.): Mu-Law A-Law Ima-ADPCM Ze znakiem 8-bit Bez znakowy 8-bit Bez znakowy 16-bit (Little-Endian) Bez znakowy 16-bit (Big-Endian) Ze znakiem 16-bit (Little-Endian) Ze znakiem 16-bit (Big-Endian) MPEG (2) Audio AC3 Ze znakiem 32-bit (Little-Endian) Ze znakiem 32-bit (Big-Endian)

-mixer <urządzenie>
    Ta opcja mówi MPlayerowi, by używał innego urządzenia do miksowania niż /dev/mixer.

-nowaveheader (tylko -ao pcm)
    Nie zawieraj nagłówków wave. Użyteczny dla RAW PCM.

OPCJE WYJŚCIA WIDEO (TYLKO MPLAYER)

-aa* (tylko -vo aa)
    Możesz otrzymać listę oraz wyjaśnienia dostępnych opcji wykonawczych mplayer -aahelp

-bpp <głębia>
    Używaj innych kolorów głębi niż autodetekcja. Nie wszystkie sterowniki -vo to wspierają (fbdev, dga2, svga, vesa).

-brightness <-100-100>
    Modyfikuj jasność wyjścia wideo (domyślnie 0). Zmienia to intensywność RGB składników sygnału wideo od czerni do białości ekranu.

-contrast <-100-100>
    Modyfikuj kontrast wyjścia wideo (domyślnie 0). Działa w podobny sposób jak jasność.

-dfbopts <wartość> (tylko -vo directfb2)
    Określ listę parametrów dla sterownika directfb.

-display <nazwa>
    Wyszczególnij nazwę hostu i pokaż liczbę X serwerów na których chcesz wyświetlać. PRZYKŁAD: -display xtest.localdomain:0

-double
    Włącz podwójne buforowanie. Eliminuje migotanie poprzez przechowywanie dwóch ramek w pamięci i wyświetlanie jednej, podczas, gdy inna jest dekodowana. Działa z OSD. Potrzebna jest dwukrotnie większa pamięć, niż pojedynczy bufor, więc nie będzie pracował na kartach z bardzo małą pamięcią wideo.

-dr   Włącz bezpośrednie renderowanie (nie wspierane przez wszystkie kodeki
    i wyjścia wideo)(domyślnie jest wyłączone). Ostrzeżenie: może powodować zepsucie OSD/SUB!

-dxr2 <option1:option2:...>
    Ta opcja jest używana do kontroli sterownika dxr2. Informacja: Filtr lavc jest teraz automatycznie wstawiany jeżeli próbujesz odtwarzać format nie MPEG1/2, więc wszystkie formaty wspierane przez MPlayera powinny być odtwarzane na zewnątrz skrzynki (jeżeli masz mocny CPU potrzebny do kodowania w locie). Chipset overlay używany przez dxr2 jest całkowicie złej jakości, ale domyślne ustwienia powinny działać u wszystkich. OSD może być użyte z overlay (nie na TV) poprzez rysowanie go w kolorze niewidocznym (colorkey). Z domyślnymi ustawieniami koloru niewidocznego możesz dostać zmienne wyniki, zazwyczaj zabaczysz ten kolor wokół znaków lub inne zabawne efekty. Ale jeżeli poprawnie zmienisz ustawienia koloru przezroczystego powinieneś dostać aceptowalne rezultaty. tryb wideo (aspect ratio) (0 = normalny, 1 = pan scan, 2 = letterbox (domyślnie)) tryb wyjścia iec958 wycisz wyjście dzwięku ścieżka do microcode
    TV Out
włącz 7.5 IRE kolorowe wyjście TV interlaced (przeplatane) wyjście TV output tryb macrovision (0 = off (domyślnie), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) norma TV (ntsc (default), pal,pal60,palm,paln,palnc) tryb TV pixel
    Overlay
modyfikuj przycinanie overlay minimalna wartość dla koloru kluczowego (color key) maksymalna wartość dla koloru kluczowego (color key) wartość koloru kluczowego (color key) nie używaj cache'u VGA włącz osd hack w overlay modyfikuj rozmiar overlay i pozycję w przypadku gdy nie pasuje do okna perfekcyjnie włącz overlay ustaw overlay (domyślnie 1000) odnów cache VGA

-fb <urządzenie> (tylko fbdev lub DirectFB)
    Określenie urządzenia framebuffera. Domyślnie używany /dev/fb0.

-fbmode <nazwa trybu> (tylko fbdev)
    Zmień tryb wideo etykietą <nazwa trybu> określoną w /etc/fb.modes. INFORMACJA:
    Framebuffer VESA nie wspiera zmieniania trybu.

-fbmodeconfig <nazwa pliku> (tylko fbdev)
    Używaj tego pliku konfiguracyjnego zamiast domyślnego /etc/fb.modes. Poprawne tylko dla sterowników fbdev.

-forcexv (tylko SDL)
    Wymuś używanie XVideo

-fs   Odtwarzanie pełnoekranowe (film w centrum i czarne obramowanie wokół niego).
    Przełącz go klawiszem 'f' (nie wszystkie wyjścia wideo go wspierają). Zobacz także -zoom.

-fsmode-dontuse <0-31> (PRZESTARZAŁE) (używaj opcji -fs)
    Wypróbuj tą opcję, jeżeli masz problemy z trybem pełnoekranowym.

-fstype <typ1,typ2,...>
    Określ hierarhię warstw pełnoekranowych utawiających tryby, które będą użyte. Domyślnym porządkiem jest "layer,stays_on_top,above,fullscreen". Będzie użyte jako inne rozwiązanie, w przypadku podania niepoprawnych lub niewspieranych trybów.
    Jeżeli masz problemy z trybem pełnoekranowym, kiedy inne okno zakrywa okno z filmem, użyj innej kolejności typów. NOTE:
    Patrz -fstype help po pełną listę dostępnych trybów.

-geometry x[%][:y[%]] lub [WxH][+x+y]
    Ustaw, gdzie wyjście ma znajdować się początkowo na ekranie. Ustawienia X i Y mierzone są w pikselach od górnego-prawego rogu ekranu do górnego-prawego rogu wyświetlanego obrazu, jednak jeżeli po argumencie podawany jest procent, ustawia je do procentu ekranu w tym kierunku. Wspiera to także standardowy format opcji X -geometry. Podawane wartości muszą być liczbami całkowitymi. Informacja: Ta opcja jest obsługiwana tylko przez jedno vo: xv. PRZYKŁAD Umieszcza okno na x=50, y=40 Umieszcza okno na środku ekranu Umieszcza okno w górnym-lewym rogu ekranu Umieszcza okno w dolnym-lewym rogu ekranu

-guiwid <id okna>
    Przekaże to do GUI, że ma również używać okna X11 i przykleić je na dole ekranu wideo, co jest użyteczne, by osadzić mini-GUI w przeglądarce (dla przykładu używającej mplayerplug-in).

-hue <-100-100>
    Modyfikuj barwę sygnału wideo (domyślnie 0). Dzięki tej opcji możesz otrzymać kolorowy negatyw obrazu.

-icelayer <0-15> (tylko icewm)
    Ustaw warstwę okna pełnoekranowego mplayera dla icewm. Pulpit Poniżej Normalna Powyżej Zadokowana Oddokowana Menu (domyślnie)

-jpeg <opcja1:opcja2:...> (tylko -vo jpeg)
    Wyszczególnij opcje dla danych wyjściowych JPEG.
    Dostępne opcje to: Wybierz między standardowym lub progresywnym JPEG. Wybierz, czy ma używać baseline czy nie. Współczynnik optimization [0-100] Współczynnik wygładzania [0-100] Współczynnik jakości [0-100] Katalog, gdzie zapisywać pliki JPEG

-monitor-dotclock <zakres dotclock (lub pixelclock)> (tylko fbdev i vesa)
    Zajrzyj do etc/example.conf po dalsze informacje i do DOCS/video.html.

-monitor-hfreq <częstotliwość pozioma> (tylko fbdev i vesa)

-monitor-vfreq <częstotliwość pionowa> (tylko fbdev i vesa)

-monitoraspect <stosunek>
    Ustaw stosunek twojego monitora lub ekranu TV. PRZYKŁAD: -monitoraspect 4:3 lub 1.3333
    -monitoraspect 16:9 lub 1.7777

-nograbpointer
    Nie przechwytuj kursora muszki po zmianie VidMode (-vm), użyteczne do ustawień multihead.

-nokeepaspect
    Nie utrzymuj aspektu stosynku, kiedy zmieniany jest rozmiar okna X11 (współpracuje obecnie tylko z -vo x11, xv, xmga i xvidix i twój manadżer okienek musi zrozumieć aspekt przycinków okna).

-noslices
    Wyłącz rysowanie przez 16-pikselową slices/bands, zamiast tego rysuj całą klatkę w pojedynczym ruchu. Możliwe, że przyspieszy, lub spowolni - w zależności od karty/pamięci. Przyniesie efekt tylko z kodekami libmpeg2 i libavcodec.

-panscan <zakres>
    Włącz Pan & Scan functionality, tj. w poleceniu wyświetlania filmu 16:9 na ekranie 4:3, boki filmu będą przycięte, wiec dostajemy obraz 4:3, który doskonale pasuje. Ta opcja działa tylko ze sterownikami xv, xmga, mga i xvidix.
    Zakres pomiędzy 0.0 a 1.0 podaje jak dużo obraz ma być przycięty.

-rootwin
    Odtwarzaj film w oknie roota (tło pulpitu) zamiast odtwarzania w nowym oknie. Pracuje tylko ze sterownikami x11, xv, xmga i xvidix.

-saturation <-100 - 100>
    Modyfikuj nasycenie wyjścia wideo (domyślnie 0). Dzięki tej opcji możesz uzyskać obraz w skali szarości.

-screenw <piksele> -screenh <piksele>
    Jeżeli używasz sterowników wyjścia, które nie mogą rozpoznać rozdzielczości ekranu (fbdev/x11 i/lub TVout) tutaj możesz wybrać pionową i poziomą rozdzielczość.

-stop-xscreensaver
    Wyłącz wygaszacz ekranu przy starcie i włącz go ponownie podczas wychodzenia.

-vm   Wypróbuj, żeby uzyskać lepszy tryb wideo.
    Sterowniki wyjścia dga, x11/xv (XF86VidMode) i sdl wspierają to.

-vo <sterownik1[:urządzenie],sterownik2,...[,]>
    Wybierz priorytetową listę sterowników wyjścia wideo (optymalne z urządzeniem). do użycia. "Urządzenie" jest zgodne z SDL i także GGI, oznacza to wówczas podsterownik. INFORMACJA:
    Patrz -vo help po pełną listę dostępnych sterowników. Jeżeli lista się wlokła ',' wróci do sterownika nielistowanego. PRZYKŁAD: Wypróbuj sterowniki jądra Matrox, później sterowniki Xv, potem inne
    -vo sdl:aalib

-vsync  Włącz VBI dla vesa.

-wid <id okna>]
    To przekaże MPlayer'owi, żeby użył okna X11, które jest użyteczne, aby osadzić MPlayer'a w przeglądarce (dla tego przypadku z wtyczką).

-xineramascreen <0-...>
    W konfiguracjach Xinerama (tj. odtwarzanie pojedynczego pulpitu obejmującego wiele ekranów) Ta opcja przekaże MPlayer'owi, w którym ekranie ma wyświetlić film.

-z <0-9>
    Wybierz poziom kompresji dla wyjścia PNG (-vo png) bez kompresji maksymalna kompresja

-zrbw (tylko -vo zr)
    Wyświetlaj w czerni i bieli (dla optymalnego wyniku, ta opcja może być łączona z opcją 'decode only in black and white' dla kodeków należących do rodziny FFmpeg).

-zrcrop <[szerokość]x[wyskokość]+[x offset]+[y offset]> (tylko -vo zr)
    Wybierz partie obrazu wejścia do odtwarzania, odpowiednie wystąpienie tej opcji przełącza w tryb cinerama. W trybie cinerama film jest rozdzielany na więcej niż jeden TV (lub wyświetlacz) by stworzyć duży ekran. Opcja pojawia się po zastosowaniu n-th -zrcrop do n-th kart MJPEG, inne karty powinny mieć conajmiej -zrdev w dodaniu do -zrcrop. Po przykłady zobacz -zrhelp oraz sekcję Zr dokumentacji.

-zrdev <urządzenie> (tylko -vo zr)
    Określ specjalny plik urządzenia należący do twojej karty MJPEG, domyślnie ten sterownik bierze pierwsze urządzenie v4l które znajdzie.

-zrfd (tylko -vo zr)
    Wymuś dziesiątkowanie: Dziesiątkowanie określone przez -zrhdec i -zrvdec, nastąpi tylko, gdy sprzętowy skalownik potrafi rozciągnąć obraz do jego oryginalnych rozmiarów. Użyj tej opcji do wymuszonego dziesiątkowania.

-zrhelp (tylko -vo zr)
    Wyświetla listę wszystkich opcji -zr*, ich domyślną wartość oraz przykład trybu cinerama.

-zrnorm <norma> (tylko -vo zr)
    Wybierz normę PAL/NTSC, domyślną jest 'no change'.

-zrquality <1-20> (tylko -vo zr)
    Liczba od 1 do 20 określa jakość kodowania jpeg. 1 daje najlepszą jakość, a 20 bardzo słabą.

-zrvdec <1,2,4> -zrhdec <1,2,4> (tylko -vo zr)
    Pionowe/poziome dziesiątkowanie: Powiedz sterownikowi by przekazywał tylko każdą 2-ą lub 4-ą linie/piksel obrazy wejścia do karty MJPEG i użyj skalera karty MJPEG do rozciągnięcia obrazu do jego oryginalnych rozmiarów.

-zrxdoff <x display offset>, -zrydoff <y display offset> (tylko -vo zr)
    Jeżeli film jest mniejszy niż ekran TV, ta opcja określa położenie filmu względem lewego górnego rogu ekranu. Film domyślnie jest wycentrowany.

OPCJE DEKODOWANIA/FILTROWANIA

-ac <[-]kodek1,[-]kodek2,...[,]>
    Wybierz priorytetową listę kodeków audio do użycia, według ich nazw w codecs.conf. Użyj '-' przed nazwą kodeka aby go pominąć. INFORMACJA:
    Patrz -ac help by zobaczyć pełną listę dostępnych kodeków.
    Jeżeli lista się wlokła ',' wróci do kodeka nielistowanego. PRZYKŁAD wymuś kodek MP3 l3codeca.acm Próbuj najpierw libmad, później wróć do innych włącz Hardware AC3 passthrough, później programowe kodeki AC3, potem inne próbuj innych kodeków pomijając dekoder MP3 FFmpeg

-afm <sterownik1,sterownik2,...>
    Wybierz priorytetową listę sterowników audio do użycia, zgodnie z ich nazwami w codecs.conf. Powraca do domyślnego, kiedy żaden nie jest poprawny. INFORMACJA
    Patrz -afm help po pełną listę dostępnych sterowników. PRZYKŁAD: użycie kodeków FFmpeg's libavcodec (mp1/2/3) najpier próbuj najpierw kodeki Win32

-aspect <stosunek>
    Zmień stosunek rozmiaru filmu. Jest automatycznie wykrywany w MPEG, ale nie może być automatycznie wykryty w większości plików AVI. PRZYKŁAD -aspect 4:3 lub -aspect 1.3333
    -aspect 16:9 lub -aspect 1.7777

-flip
    Odwróć obraz do góry dołem.

-lavdopts <opcja1:opcja2:...> (KOD DEBUGOWANY)
    Jeżeli dekodujesz kodekiem libavcodec, możesz tutaj określić jego parametery. PRZYKŁAD: -lavdopts bug=1
    NOTATKA:
    Podaj tylko wartości rzeczy, które chcesz włączyć.
    Dostępne opcje to:
1: użyj silnego filtru debblokujące dla uszkodzonych MB-ów
2: interaktywne szukanie MV (wolne)
3: wszystko (domyślnie) error resilience: RSss
0: wyłączone
1: ostrożnie (powinno pracować z hamującymi koderami)
2: normalny (domyślne) (pracuje z ustępliwymi koderami)
3: agresywny (więcej sprawdza ale powoduje problemy nawet z poprawnymi bitstrumieniami )
4: bardzo agresywny ręczne rozwiązywanie błędów kodera: 0: nic
1: autodetekcja błędów (domyślne)
2 (msmpeg4v3): niektóre stare lavc tworzą pliki msmpeg4v3 (bez autodetekcji)
4 (mpeg4): błąd przeplatania xvid (autodetekcja jeśli fourcc==XVIX)
8 (mpeg4): UMP4 (autodetekcja jeśli fourcc==UMP4)
16 (mpeg4): błąd odbicia
32 (mpeg4): niepoprawny błąd vlc (autodetekcja zależna od fourcc)
64 (mpeg4): błąd qpel XVIDa i DIVXa (autodetekcja zależna od fourcc/ver)
128 (mpeg4): stary standardowy qpel (autodetekcja zależna od fourcc/ver)
256 (mpeg4): inny błąd qpel (autodetekcja zależna od fourcc/ver)
512 (mpeg4): błąd direct-qpel-blocksize (autodetekcja zależna od fourcc/ver)
1024 (mpeg4): błąd odbicia krawędzi (autodetekcja zalezna od fourcc/ver) (zobacz lavcopts) Dla usiągnięcia najlepszej jakości dekodowania, używaj tego samego algorytmu idct do dekodowania i kodowania. Jednak może to zmniejszyć dokładność. tylko dekodowanie w skali szarości (trochę szybsze niż z kolorem)

-noaspect
    Wyłącz automatycznie wyrównywanie trybu wideo filmu.

-nosound
    Nie odtwarzaj/koduj dźwięku.

-pp <jakość> (zobacz także opcję -vf pp!)
    Ustaw poziom postprocessingu dla DLL. Ta opcja jest NIE JEST UŻYTECZNA z filtrami postprocessingu MPlayera, ale tylko z Win32 DirectShow DLLs które mają wewnętrzny postprocessing. Poprawny zakres dla wartości -pp różnie się w kodekach, najczęściej 0-6, gdzie 0=wyłączony 6=powolny/najlepszy.

-pphelp (zobacz także opcję -vf pp)
    Pokaż streszczenie dostępnych filtrów postprocesu i ich użycie.

-ssf <tryb>
    Określa parametry SwScaler. PRZYKŁAD: -vf scale -ssf lgb=3.0
filtr rozmycia gaussowego (luma) filtr rozmycia gaussowego (chroma) filtr wyostrzający (luma) filtr wyostrzający (chroma) zmiana 'chroma' w poziomie zmiana 'chroma' w pionie
-stereo <tryb>
    Wybierz typ dla MP2/MP3 wyjścia stereo. Stereo lewy kanał Prawy kanał

-sws <typ oprogramowania skalującego> (zobacz opcję -vf scale)
    Ta opcja określa jakość (i odpowiednio prędkość) skalowania programowego, dla opcji -zoom. Dla przykładu z x11 lub z innym wyjściem sprzętowej akceleracji. Możliwe ustawienia to: INFORMACJA:
    Dla -sws 2 i 7, ostrość może myć ustawiona z parametrem skalowania (p) -vf scale (0 (miękko) - 100 (ostro)), dla -sws 9, określa długość filtru (1 - 10). szybki bilinear (domyślnie) bilinear bicubic (dobra jakość) eksperymentalny najbliższy sąsiad (zła jakość) area luma bicubic / chroma bilinear gauss sincR lanczos bicubic spline

-vc <[-]kodek1,[-]kodek2,...[,]>
    Wybierz priorytetową listę kodeków wideo do użycia, według ich nazw w codecs.conf. Użyj '-' przed nazwą kodeka aby go pominąć. INFORMACJA:
    Patrz '-vc help' po pełną listę dostępnych kodeków.
    Jeśli lista się wlekła ',' wróci do kodeka nielistowanego. PRZYKŁAD: wymuś kodek Win32/VFW DivX, nie powracaj próbuj najpierw kodek divx4linux, później wróć do innych próbuj inne kodeki pomijając kodeki Win32 DivX próbuj kodeki libavcodec's MPEG1/2, później libmpeg2, potem inne

-vf <filter1[=options],filter2,...>
    Uruchom pooddzielaną mprzecinakami listę filtrów wideo i ich opcje. INFORMACJA:
    Parametry są dodatkowe i jeżeli zostaną pominięte, niektóre z nich zostaną ustawione na domyślnie wartości. Użyj '-1' by zachować domyślne wartości. Parametry w:h oznaczają szerokość x wysokość w pikselach, x:y oznacza x;y pozycję od wyższego lewego rogu większego obrazu.
    By pobrać listę dostępnych filtrów patrz -vf help.
    Dostępne filtry to: Przycina daną część partii obrazu i wyrzuca resztę. Przydatne do usuwania czarnych obramowań z szerokoekranowych filmów. w,h: Szerokośc i wysokośc wycięcia, domyślnie oryginala szerokość i wysokość
    x,y: Pozycja wycinanego obrazu, domyślnie środek. Oblicza niezbędne parametry przycinające i wyświatla proponowane na standardowe wyjście (and. stdout). Próg może być opcjonalnie wybrany od niczego (0) do wszystkiego (255). (domyślnie: 24) Rysuje prostokąt o wskazanej długości i wysokości na wyznaczonych współrzędnych obrazu (użyteczne do testowania crop). w,h: szerokość i wysokość (domyślnie: -1, maksymalny możliwy rozmiar, gdzie granice są wciąż widoczne.
    x,y: pozycja od lewego górnego rogu (domyślnie: -1, najwyższy, najbardziej w lewo) Plugin reaguje na dyrektywę 'change_rectangle' z input.conf która pobiera dwa parametry. Pierwszy parametr może być 0 dla w, 1 dla h, 2 dla x lub 3 dla y. Drugi paramentr jest ilością pikseli, którymi zmienia się wyznaczą granicę prostokąta. Powiększa rozdzielczość (nie skaluje) filmu do podanej wartości i umieszcza nieprzeskalowany oryginał na współrzędnych xy. Może być użyty do umieszczenia napisów/OSD w otrzymanym czarnym pasku. w,h: szerokość i wysokość poszerzenia (domyślnie: oryginalna szerokość, wysokość)
    x,y: pozycja oryginalnego obrazu na rozszerzonym obrazie (domyślnie: na środku)
    o: renderowanie OSD/napisów
        0: wyłączone (domyślnie)
        1: włączone Wartości ujemne dla w i h są traktowane jako wyrównanie do oryginalnego rozmiaru, np. expand=0:-50:0:0 dodaje 50 pikseli obramówki na dole obrazu. Odwróć obraz do góry dołem. Zobacz także opcję -flip. Odwróć lustrzanie obraz na osi Y. Obróć obraz o +/- 90 stopni. Dla parametrów pomiędzy 4-7 obracanie wykona się tylko jeżeli geometria filmu jest portretem i nie jest krajobrazem. Skaluje obraz programowym skalatorem (wolny) i wykonuje konwersję kolorów YUV<->RGB (zobacz także opcję -sws). w,h: nowa szerokość/wysokość po skalowaniu (domyślnie: oryginalna szerokość, wysokość)
        Informacja: Jeżeli -zoom jest użyte, a podane filtry (włączając w to libvo) nie
        potrafią skalować, to domyślnie jest d_width/d_height!
        -1: oryginalna szerokość/wysokość
        0: skalowanie do d_width/d_height
        -2: Wylicz w/h używając innego rozmiaru i wstępnie przeskalowanego aspektu.
        -3: Wylicz w/h innego rozmiaru i oryginalnego aspektu.
    c: opuszczanie chromy
        0: użyj wszystkich dostępnych linii wejścia dla chromy
        1: użyj tylko co 2 linię wejścia dla chromy
        2: użyj tylko co 4 linię wejścia dla chromy
        3: użyj tylko co 8 linię wejścia dla chromy
    p: parametry skalowania (zależnie od użytej metody)
        dla -sws 2 (bicubic) to jego ostrość (0 (gładkie) - 100 (wyostrzone))
        dla -sws 7 (gaussian) to jego ostrość (0 (gładkie) - 100 (wyostrzone))
        dla -sws 9 (lanczos) to jego długość filtra (1 - 10) Wartość 0 używana jest dla wyskalowanego (użyty aspekt) celu w/h. (domyślnie: oryginał w/h, cel w/h z -zoom) Dodatkowe parametry chroma skipping (c z przedziału 0-3) i scaling mogą być określone. (po detale zobacz opcję -sws) Wymuś konwersję programową YV12/I420 lub 422P do YUY2. Użyteczne w kartach/steronikach wideo, które powolnie wspierają YV12, ale szybko YUY2. Wymuś progamową konwersję przestrzeni kolorów YVU9 do YV12. Działa na korzyść skalatorów programowych. Deprecated in favor of the software scaler. Konwersja kolorów RGB 24/32 <-> BGR 24/32 swap: Dodatkowa wymiana R <-> B. Konwersja kolorów RGB/BGR 8 -> 15/16/24/32bpp używająca paletę. Ograniczenie kolorów dla następnego filtru bez robienia żadnej konwersji. Używaj razem z filtrem skalującym do prawdziwej konwersji. fourcc: nazwy formatów takie jak rgb15, bgr24, yv12, itp (domyślnie: yuy2) Ta opcja włącza użycie w MPlayerze wewnętrzeych filtrów postprocessingu, a także daje interfejs gdzie możesz podać opcje do filtrów. Po listę dostępnych filtrów użyj -pphelp.
    Informujemy, że każdy pod-filtr musi być oddzielony przez znak .
    Każdy filtr domyślnie ustawiony jest na 'c' (chrominance).
    Parametry akceptują prefix '-' do wyłączenia opcji.
    Znak ':' następujący po literze może być dołączony do opcji by wskazywać jej zakres: a: Automatycznie wyłącza filtr gdy procesor jest za wolny
    c: Wykonuje też filtr 'chrominance'
    y: Nie wykonuje filtrowania chrominance (tylko korekcja oświetlenia).
    PRZYKŁADY:
-vf pp=hb/vb/dr/al/lb
-vf pp=hb/vb/dr/al
domyślne filtry bez korekcji jasności/kontrastu
Włącz domyślne filtry i podręczne odszumiacze:
Odblokowana tylko korekcja oświetlenia w pionie i automatycznie odblokowywana korekcja pozioma, zależnie, czy jest dostępny czas procesora.
Tworzy różne wzorce testowe. -vf pp=hb:y/vb:a -autoq 6 Szybka konwersja programowa z YV12 do MPEG1 przy pomocy libavcodec do użycia z DVB/DXR3. Szybsze i leprze jakość niż -vf fame. quality:
    1 - 31 fixed qscale
    32 - fixed bitrate in kBits
fps: force output fps (float value) (default: 0, autodetect based on height) Szybka konwersja programowa z YV12 do MPEG1 przy pomocy libfame do użycia z DVB/DXR3. Ustaw optymalne skalowanie dla kart DVB, skalowanie osi X sprzętowo i wyliczanie skalowania osi Y programowo, by zachować aspekt. aspect: kontroluje aspekt, wyliczane przez wzór DVB_HEIGHT*ASPECTRATIO (domyślnie: 576*4/3=768), ustaw na 576*(16/9)=1024 dla 16:9 TV. Użyteczne tylko z expand+scale: -vf dvbscale,scale=-1:0,expand=-1:576:-1:-1:1,lavc Dodaje zakłócenia. <0-100>: zakłócenie luma
<0-100>: zakłócenia chromowane
u: jednolite zakłócenia (inaczej gaussian)
t: zakłócenia temporal (wzorzec zakłóceń zmieniany między klatkami)
a: średnia zakłócenia temporal
h: wysoka jakość (odrobinę lepiej wygląda, odrobinę wolniejsze)
p: mieszaj według przypadkowgo zakłócenia z (pół)regularnym wzorem Ten filtr redukuje zakłócenia obrazu wygładzając obraz, a nieruchome obrazu stają się naprawdę nieruchome (Powinno to poprawić możliwości kompresji.). Można podać od 0 do 3 parametrów. Jeżeli pominiesz parametry, podane zostaną rozsądne wartości.
luma:    wpływ przestrzeni  luma (domyślnie = 4)
chroma:    wpływ przestrzeni chroma (domyślnie = 3)
time:    czas wpływu (domyślnie = 6)
Wersja filtra z wysoką precyzją/jaością. Paramentry i użycie są takie same. Programowy korektor (equalizer) z interaktywną kontrolą, zupełnie jak korektor sprzętowy, dla kart/sterowników które nie obsługują sprzętowej kontroli jasności i kontrastu. Może być także użyteczny z MEncoderem, obojętne czy w celu poprawy kiepsko przechwyconych filmów, czy w celu odrobinę zmniejszenia kontrastu, by ukryć artefakty powstałe w wyniku niskiego bitrate. Początkowe wartości z przedziały -100 - 100 mogą być podane konsoli. Alternatywny programowy equalizer używający tabel (bardzo wolne), pozwala na dodatek na korekcję gamma jasności, dostosowania kontrastu i nasycenia. Informujemy, że wykorzystuje to kilka otymalizacji kodu dla MMX tak jak -vf eq, jeżeli wszystkie wartości gamma są 1.0. Parametry są podane w wartościach zmienno pozycyjnych. Parametry rg, gg, bg są niezależne od wartości gamma dla komponentów Red, Green i Blue. Domyślnie 1.0, jasność=0.0 Wartości dla gammy to 0.1-10, -2-2 dla kontrastu (ujemne wartości dają rezultat negatywu obrazu), -1-1 dla jasności i 0-3 dla nasycenia. Konwertuj rozmiar YUV 4:2:0 do pakietu 4:2:2 o połowie wysokości, wyłącza próbkowanie luma, ale pozostawia wszystkie próbki chroma. Użyteczne dla wyjścia na urządzenie wyświetlających w niskiej rozdzielczości, gdy sprzętowe zmniejszanie jest kiepskiej jakości lub nie jest dostępne. Może być także użyte jako primitywne przeplatanie tylko luma przy bardzo małym użytku cpu. Domyślnie, halfpack pobiera przeciętnie pary lini, kiedy próbkuje w dół (z ang. downsample) Opcjonalny parametr f może wynosić 0 aby użyć tylko parzystych lini lub 1, aby użyć tylko nieparzystych lini. Inne wartości dla f dają domyślne (średnie) zachowanie. Wykrywa i przesuwa pierwszą z przeplatających się klatek w strumieniu wideo. Wartości mogą być do 0.0 do 1.0 - pierwszy (domyślnie 0.1) jest względną różnicą pomiędzy sąsiadującym pikselem, drugi (domyślnie 0.15) jest tą partią obrazu wykrytego jako przeplatający do przesunięcia klatki. Użyj filtra deinterlesingu kodeka libavcodec. Maska "odostrzająca" / rozmycie gaussian. l: Zastosuj efekty w komponencie luma.
c: Zastosuj efekty w komponentach chroma.
WxH: szerokość i wysokośc macierzy, nieparzysty rozmiar w obu wskaźnikach (min = 3x3, max = 13x11 lub 11x13, zazwyczaj coś pomiędzy 3x3 i 7x7)
amount: Względny współczynnik wyostrzania/rozmycia obrazu dodany do obrazu (rozsądnym przedziałem powinien być -1.5 - 1.5).
    <0: rozmycie
    >0: wyostrzenie Zamiana płaszczyzny U & V. (od)przeplatanie (ang. (de)interleaves) Celem tego filtru jest dodanie możliwości przeplatania obrazów przed-pola (ang. pre-field) bez ich od-przeplatania. Możesz filtrowć swoje przeplatane (ang. interlaced) DVD i odtwarzać na telewizorze bez zepsucia przeplatania. Podczas od-przeplatania (z filtrami postprocesingu) usuwa na stale przeplatanie (przez parzyste wygladzanie itp) od-przeplatając podział klatek na 2 pola klatki (z tąd nazwa półobrazów), więc możesz obrabiać (filtrem) go niezależnie i powtórnie utworzyć przeplatanie. d: od-przeplatanie
i: przeplatanie
s: zamień pola (wymiana parzystych i nieparzystych linii) Wyciąga pojedyncze pola z przeplatanego obrazu używając kroku arytmetycznego, aby unikać zużywania czasu procesora). Opcjonalny argument n określa, czy wyciągać parzyste, czy nieprzyste pola (w zależności, czy n jest parzyste, czy nieparzyste). Próbuje odwrócić proces "telecine" by uzyskać strumień non-interleaved bez przeplatania przy prędkości klatek filmu. Ten filtr jet wciąż eksperymentalny, ale wydaje się, że jest już użyteczny. Poniższe argumenty (patrz wyżej po składnie) mogą być użyte by kontrolować jego działanie: dr: Ustaw tryp porzucania klatek. 0 (domyślnie) oznacza, że klatkie nie będą porzucane, by utrzymać ustaloną prędkość klatek danych wyjściowych.1 oznacza, że klatki będą zawsze porzucane gdy nie było jeszcze porzucania lub telecine znajduje się w ostatnich 5 klatkach. 2 oznacza, że zawsze będzie utrzymywany dokładny stosunek 5:4 klatek wejściowych do wyjściowych. (Informacja: z MEnkoderem używaj zawsze trybu 1!)
am: Tryb analizy. Dostępne wartośc to 0 (ustalony wzorzec z numerem klatki inicjalizującej określony przez fr=#) i 1 (agresywne szukanie wzorca telecine). Domyślnie jest 1.
fr: Ustawia numer początkowej klatki w sekwencji. 0-2 to trzy następujące po sobie klatki bez przeplotu; 3 i 4 to dwie klatki z przeplotem. Domyślne -1 oznacza "bez sekwencji telecine". Liczba określona tutaj jest to wyimaginowana klatka przed początkiem filmu. tr0, tr1, tr2, tr3: Wartości progu używane w trybach. Zastosuje proces "telecine" 3:2 "telecine" by zwiększyć szybkość klatek o 20%. Najprawdopodobniej ni będzie to działało poprawnie z mplayerem, ale może być użyte z 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. Obie opcje fps są niezbędne! (Synchronizacja A/V będzie popsuta, jeżeli będą one źle podane.) Opcjonalny parametr start mówi filtrowi gdzie ma zacząć we wzorcu telecine. (0-3). Tymczasowy seperator pola -- dzieli pola na klatki, podwajając szybkość klatek. W trybie 0, filtr pozostawi pola nie zmienione, co powoduje, że dane wyjściowe mają połowę wysokości. W trybie 1, przeplatane pola obrazu będą rekonstruowane by osiągnąć pełną wysokość klatek. Tak jak filtr telecine, "tfields" będzie poprawnie dziłał tylko z menkoderem, i tylko jężeli oba -fps i -ofps będą ustawione na porządaną (podwójną) szybkość klatek! rozmycie radius: rozmiar (promień) filtrowania
power: Jak często filtr powinien być stosowany rozmycie dopasowanej figury rad: siła filtru rozmycia (~0.1-4.0) (wolniejsze jeżeli większe)
pf: siła przed-filtru (~0.1-2.0)
colorDiff: jak różne piksele mają być brane pod uwagę (~0.1-100.0) eleganckie rozmycie rad: sila filtru rozmycia (~0.1-5.0) (wolniejsze jeżeli większe)
strength: rozmycie (0.0-1.0) lub wyostrzenie (-1.0-0.0)
thresh: filter wszystkiego (0), filter płaskich obszarów (0-30) lub filtry krawędzi (-30-0) korekcja perspektywy x0,y0,...: koordynaty górny lewy, górny prawy, dolny lewy, dolny prawy róg
t: liniowe (0) lub sześciokątny resampling (1) Użyj podwójne skalowanie i wstaw algorytm ze skalowania oraz rozmyj obrazy. Konwersja 1bpp bitmapy do YUV/BGR 8/15/16/32 Przepozycjonowanie i zmiana rozmiaru obrazu stereoskopowego. Wydobądź oba pola stereo i umieść je wspólnie, zmieniając im rozmiar by utrzymać aspekt filmu. lines: number of lines to select from the middle of the image (default: 12) Odczytaj bitmapy z FIFO i wyświetl je w oknie. hidden: ustawia domyślną wartość flagi 'hidden' (wartość logiczna)
opaque: flaga przełącza pomiędzy przeźroczystym i nieprzeźroczystym (szybki) trybem
fifo: ścieżka/nazwa pliku dla FIFO (nazwanie przekierowania mplayer -vf bmovl do aplikacji kontrolującej poprzez potokowanie (ang. pipe '|' czyli taka pionowa kreska używana do przekierowywania - przyp. tłum.)
    Komendy FIFO, to:
RGBA32 szerokość wysokość xpoz ypoz alfa czyść
wynikająca z szerokość*wysokość*4 bajtów danych źródłowych RGBA32. ABGR32 szerokość wysokość xpoz ypoz alfa czyść
Wynikająca z szerokość*wysokość*4 bajtów danych źródłowych ABGR32. RGB24 szerokość wysokość xpoz ypoz alfa czyść
Wynikająca z szerokość*wysokość*3 bajtów danych źródłowych RGB32. BGR24 szerokość wysokość xpoz ypoz alfa czyść
Wynikająca z szerokość*wysokość*3 bajtów danych źródłowych BGR32. ALPHA szerokość wysokość xpoz ypoz alfa
zmień alfę dla obszaru CLEAR zerokość wysokość xpoz ypoz
wyczyść obszar OPAQUE
Wyłącz całą przeźroczystość alfa. Prześlij "ALPHA 0 0 0 0 0", aby włączyć ją z powrotem. HIDE
ukryj bitmapę SHOW
pokaż bitmapę
    Argumenty, to:
szerokość, wysokość: rozmiar obrazu/obszaru
xpos, ypos: start blittingu na pozycji X/Y
alpha: ustaw różnice alfa. 0 oznacza to samo, co oryginał, 255 wszystko robi nieprzeźrozcyste, -255 wszystko robi przeźroczyste. Jeśli ustawisz to na -255, możesz później przesłać sekwencje kamend-ALFA, aby ustawić obszar na -255, -200, -175 itp dla ładnych efektów zanikania! ;)
clear: wyczyść bufor klatki (ang. framebuffer) przed blittingiem. 1 oznacza wyczyszczenie, jeśli 0, obraz będzie tylko bittled na górze starego, więc nie musisz wysyłać 1,8MB danych RGBA32 zawsze, gdy małe partie ekranu są aktualizowane.

-vfm <sterownik1,sterownik2,...>
    Określ priorytetową listę sterowników wideo, któtre będą użyte, zgodnie z nazwami sterowników w codecs.conf. Powraca do domyślego, jeżeli żaden nie będzie działał. NOTE:
    Jeżeli obsługa libdivxdecore zostałą wkompilowana, wtedy odivx i divx4 zawierają po prostu ten sam kodek DivX4, ale inne API do porozumiewania się z nimi. Po różnice między nimi i kiedy użyć którego, sprawdź sekcję DivX4 w dokumentacji.
    Zobacz -vfm help po pełną listę dostępnych sterowików. PRZYKŁAD: próbuje kodeków libavcodec, potem Directshow, potem VFW i powróci do innych, jeżeli dalej nie działa próbuje najpierw kodeka XAnim

-x <x> (tylko MPLAYER)
    Skaluj obraz do x szerokości (jeżeli jest dostępne skalowanie sw/hw). Wyłączone obliczanie stosunku.

-xvidopts <opcja1:opcja2:...>
    Podaj dodatkowe parametry gdy dekodujesz z XviD. Wyłącz renderowanie metodą 2.

-xy <x>
    Skaluj obraz współczynnikiem <x>. Ustaw szerokość na <x> i wylicz wysokość by zachować poprawny stosunek.

-y <y> (tylko MPLAYER)
    Skaluj obraz do wysokości y (jeżeli jest dostępne skalowanie sw/hw). Wyłączone obliczanie stosunku.

-zoom Pozwalaj na programowe skalowanie, gdy jest dostępne. Możesz użyć
    wymuszonego skalowania opcją -vf scale INFORMACJA:
    -vf scale ZIGNORUJE opcje -x / -y / -xy / -fs / -aspect bez -zoom.

OPCJE KODUJĄCE (TYLKO MENCODER)

-audio-density <1-50>
    Liczba kawałków audio na sekundę (domyślnie jest 2 dla kawałka audio o długości 0.5s). INFORMACJA:
    tylko CBR, VBR ignoruje ją gdy dokłada kolejny pakiet w nowym kawałku.

-audio-delay <0.0-...>
    Ustaw opóźnienie audio w nagłówku. Domyślnie jest 0.0, ujemne wartości nie działają. Opcja nie opóźnia audio podczas kodowania, ale player gdy wykryje podstawowe opóźnienie audio, wyręcza cię z użycia opcji -delay.

-audio-preload <0.0-2.0>
    Ustaw przerwę czasu buforowania audio (domyślnie: 0.5s).

-divx4opts <opcja>
    Jeżeli kodowanie jest do DivX4, możesz określić jego parametry tutaj: Dostępne opcje to: uzyskaj pomoc wybierz bitrate w kbitach <4-16000> lub
    bitach <16001-24000000> maksymalna przerwa klatki (w klatkach) włącz deinterlacing (nie używaj, DivX4 zawiera błędy) jakość (1-szybka, 5-najlepsza) minimalny quantizer maksymalny quantizer współczynnik kontroli czasu współczynnik kontroli reakcji czasu współczynnik kontroli reakcji wyszczególnienie chropowatości/gładkości Z tą opcją możesz kodować 2-krokowo pliki DivX4. najpierw koduj z pass=1, potem z tymi samymi parametrami, koduj z pass=2. Unieważnij argument pass i użyj Xvid VBR Library zamiast DivX4 VBR. Dostępne opcje to: 0: jedno-krokowe kodowanie (krok nie umieszczany w linii komend)
    1: Analiza (pierwszego) kroku z dwu-krokowego kodowania. Otrzymywane pliki AVI mogą być przekierowywane to /dev/null.
    2: Finalny (drugi) krok z dwu-krokowego kodowania.

-endpos <[[hh:]mm:]ss[.ms]|size[b|kb|mb]> (patrz też opcje -ss i -sb)
    Zatrzymaj kodowanie w podanym czasie lub pozycji bajta. Możliwe jest wyszczególnienie na różne sposoby: INFORMACJA:
    Pozycja bajta nie będzie dokładna, będzie zatrzymana na granicy klatki. PRZYKŁAD: koduje tylko 56 sekund koduje tylko 1 godzinę i 10 minut koduje tylko 100 mbajtów

-ffourcc <fourcc>
    Można używać do wyłączenia wideo fourcc pliku wyjściowego. PRZYKŁAD: da plik wyjściowy zawierający 'div3' jako wideo fourcc.

-include <plik konfiguracyjny>
    Wyszczególnij plik konfiguracyjny, który będzie używany po domyślnym.

-info <opcja1:opcja2:...> (tylko .AVI)
    Wybierz informację nagłówka otrzymywanego pliku .AVI.
    Dostępne opcje: pokaż ten opis tytuł tematu pliku artysta lub autor oryginalnego tematu pliku oryginalna kategoria pracy treść pliku informacja o prawach autorskich pliku oryginalna forma materiału, która jest cyfrowa ogólna uwaga na temat pliku lub tematu pliku

-lameopts <opcja1:opcja2:...>
    Jeżeli kodujesz do MP3 z libmp3lame, możesz wyszczególnić jego parametry tutaj.
    Dostępne opcje to: pokaż pomoc regulacja bitrate metodą 0: cbr
    1: mt
    2: rh (domyślnie)
    3: abr
    4: mtrh średnie bitrate stałe bitrate
    Wymóś tryb kodowania CBR na podsekwencji trybów ABR wskaż bitrate w kBit (tylko dla CBR i ABR) jakość (0-wysoka, 9-niska) (tylko dla VBR) algorytm jakości (0-najlepszy/najwolniejszy, 9-najgorszy/najszybszy) stosunek kompresji ustaw głośność wejścia audio (domyślnie: auto) 0: stereo
    1: złącze-stereo
    2: dualchannel
    3: mono 0: nie
    1: wszystko
    2: modyfikuj przełącz w szybsze kodowanie w podsekwencji trybów VBR, mało obniża jakość i większe bitrate'y. udostępnia ustawienia największych możliwych jakości. medium: kodowanie VBR, dobra jakość, bitrate 150-180 kbps.
    standard: kodowanie VBR, wysoka jakość, bitrate170-210 kbps.
    extreme: kodowanie VBR, bardzo wysoka jakość, bitrate 200-240 kbps.
    insane: kodowanie CBR, wyższa jakość, bitrate 320 kbps.
    <8-320>: kodowanie ABR na średniej podanego bitrate'u w kbps.
PRZYKŁAD: dla większości ludzi i typów muzyki już całkowicie wysoka jakość. koduj z ABR na wymuszonym stałym bitrate 192 kbps. koduj z ABR na średnim bitrate 172 kbs. dla ludzi z niezwykle dobrym słuchem i podobnym sprzętem. wyświetl dodatkowe opcje i informacje dotyczące opcji.

-lavcopts <opcja1:opcja2:...>
    Jeżeli koduje libavcodec, możesz wyszczególnić tutaj jego parametry. PRZYKŁAD: -lavcopts vcodec=msmpeg4:vbitrate=1800:vhq:keyint=250
    Dostępne opcje:
używaj wybranych kodeków (nie ma domyślnego, musisz sam go wybrać): mjpeg: Motion JPEG
h263: H263
h263p: H263 Plus
mpeg4: DivX 4/5
msmpeg4: DivX 3
msmpeg4v2: MS MPEG4v2
wmv1: Windows Media Video 7
wmv2: Windows Media Video 8
rv10: stary kodek RealVideo
mpeg1video: MPEG1 wideo :)
huffyuv: HuffYUV minimalny quantizer (krok 1/2) 1: Nie zalecany (dużo większe pliki, mała różnica w jakości i różne niepożądane efakty: msmpeg4, h263 będą miały bardzą złą jakość, kontrola prędkości będzie się gubiła dając niską jakość, a niektóre dekodery nie będą mogły tego zdekodować).
2: Zalecane dla normalnego kodowania do mpeg4/mpeg1video (domyślnie).
3: Zalecane dla h263(p)/msmpeg4. Przyczyną preferowania 3 niż 2 jest to, że 2 może prowadzić do przepełnień byfora (overflow) (to będzie naprawione dla h263(p) prze zmianę quantizera na MB w przyszłości, msmpeg4 nie może być naprawionem dlatego że tego nie obsługuje MB) Stały quantizer / stała jakość kodowania (wybiera ustalony tryb quantizera). Niższe wartości oznaczają lepszą jakośc, ale większe pliki (domyślnie: 0 (wyłączone)). 1 nie jest zalecane (po szczegóły zobacz -vqmin). maksymalny quantizer (pass 1/2) 10-31 powinno być rozsądnym przedziałem (domyślnie: 31) maksymalny makroblok quantizera (krok 1/2) (domyślnie: 2) maksymalny makroblok quantizera (krok 1/2) (domyślnie: 31) maksymalna różnica quantizera pomiędzy klatkami I lub P (krok 1/2) (domyślnie: 3) maksymalna liczba klatek B pomiędzy klatkami non B: 0: brak klatek B (domyślnie)
0-2: rozsądny zakres dla MPEG4 metoda szacowanegia ruchu: 0: żadna (bardzo niska jakość)
1: pełny (wolne)
2: log (niska jakość)
3: phods (niska jakość)
4: EPZS (domyślne)
5: X1 (eksperymentalne) Informacja: aktualnie 0-3 ignoruje ilość zużytych Bitów, więc jakość może być niska. najlepszy. To jest powolne, ale daje lepszą jakość i rozmiary plików. (domyślne: wyłączone) Przeznacza 4 ruchy wektora na makro-blok (lekko lepsza jakość). (domyślnie: wyłączone) Maksymalna przerwa pomiędzy klatkami kluczowymi. Klatki kluczowe są wymagane przy przeszukiwaniu, ponieważ przeszukiwanie jest dostępne tylko wtedy gdy są klatki kluczowe. Ale klatki kluczowe wymagają więcej miejsca niż inne klatki, więc większe liczby oznaczają tutaj nieco mniejsze pliki, ale mniej dokładne przeszukiwanie, 0 oznacza brak klatek kluczowych. Wartości >300 są niezalecane, jako że jakość może być zła zależnie od dekodera, kodera i szczęścia. Dla ściśle zgodnych ze standardem MPEG1/2/4 powinno to być <=132. (domyślnie: 250, czyli jedna klatka na każde dziesięć sekund w filmie 25fps) Strategia wyboru pomiędzy klatkami I/P/B (krok 2): 0: zawsze używaj maksymalnej liczby klatek B (domyślne)
1: unikaj klatek B w szybkich scenach (będzie przyczyną złego przewidywania bitrate) Strategia wyboru pomiędzy klatkami I/P/B (krok 2): 0: zawsze używaj maksymalnej liczby klatek B (domyślne)
1: unikaj klatek B w szybkich scenach (bitrate mispredictions) Aktywuj wewnętrzny tryb dwukrokowy, określaj tylko jeżeli chcesz używać trybu dwukrokowego (domyślnie: wyłączone) 1: krok pierwszy
2: krok drugi Porada: Spróbuj użyć trybu stałego quantizera dla pierwszego kroku (vqscale=<quantizer>).
huffyuv: krok 1 zapisuje statystyki
krok 2 koduje z optymalną tabelą Huffmana bazującą na statystykach z 1 kroku. Zapisz aspekt filmu Store movie aspect internally, poprostu tak jak pliki MPEG. Dużo lepsze rozwiązanie od reskalingu, ponieważ jakość nie zmniejsza się. Tylko MPlayer odtworzy takie pliki poprawnie, inne odtwarzacze będą wyświetlały je ze złym aspektem. Parametr aspektu może być podany jako stosunek lub jako liczby zmiennopozycyjnej. Przykład: aspect=16.0/9.0, aspect=1.78 wybierz bitrate (krok 1/2) w kbitach <4-16000> lub
bitach <16001-24000000>
(ostrzeżenie: 1kbit = 1000 bitów)
(domyślnie: 800) przybliżona tolerancja rozmiaru pliku w kbitach. 1000-100000 to rozsądny przedział. (ostrzeżenie: 1kBit = 1000 Bitów) (domyślnie: 8000) maksymalny bitrate w kbitach/sek (krok 1/2) minimalny bitrate w kbitach/sek (krok 1/2) rozmiar bufora w kbitach (krok 1/2). Informacja: vratetol nie powinien być zbyt duży podczas drugiego kroku lub mogą pojawić się problemy jeśli używany jest vrc_(min|max)rate. czynnik quantizera pomiędzy klatkami B i non B (krok 1/2) (domyślnie: 1.25) (krok 1/2) (domyślnie: 0.8) offset quantizera pomiędzy klatkami B i non B (krok 1/2) (domyślnie: 1.25) (krok 1/2) (domyślnie: 0.0)
jeżeli v{b|i}_qfactor > 0
I/B-Frame quantizer = P-Frame quantizer * v{b|i}_qfactor + v{b|i}_qoffset
w przeciwnym wypadku
wykonaj normalną kontrolę tempa (nie unieruchamiaj do następnej klatki P quantizera) i ustaw q= -q * v{b|i}_qfactor + v{b|i}_qoffset Porada: By wykonać kodowanie ze stały quantizerem z innym quantizers dla klatek I/P i B możesz użyć: vqmin=<ip_quant>:vqmax=<ip_quant>:vb_qfactor=<b_quant/ip_quant> rozmycie quantizera (krok1): Większe wartości wyniosą większą przeciętną quantizera w czasie (wolna zmiana). rozmycie quantizera (krok1): 0.0: rozmycie wyłączone
0.5 (domyślnie)
1.0: średnia quantizera ze wszystkich wcześniejszych klatek rozmycie guassowe (gaussian blur) quantizera (krok 2), większe wartości wyniosą większą przeciętną quantizera w czasie (wolna zmiana) (domyślne: 0.5) kompresja quantizera, zależna od vrc_eq (krok 1/2) (domyślnie: 0.5) główna kontrola wyrównania (krok 1/2): 1: stały bitrate
tex: stała jakość
1+(tex/avgTex-1)*qComp: zbliżone wyrównanie starego kodu kontroli
tex^qComp: z qcomp 0.5 lub czymś podobnym (domyślne) operatory: +,-,*,/,^ zmienne:
tex: złożoność tekstury
iTex,pTex: złożoność tekstury intra, non intra
avgTex: średnia złożoności tekstury
avgIITex: średnia złożoności tekstury intra w klatkach I
avgPITex: średnia złożoności tekstury intra w klatkach P
avgPPTe: średnia złożoności tekstury non intra w klatkach P
avgBPTe: średnia złożoności tekstury non intra w klatkach B
mv: bity używane na wektory ruchu
fCode: maksymalna długość wektorów ruchu skali log2
iCount: liczba intra makro bloków / liczba makro bloków
var: złożenie przestrzenne
mcVar: złożenie czasowe
qComp: qcomp z linii komend
isI, isP, isB: jest 1 jeśli typ obrazka to I/P/B lub 0
Pi,E: patrz do swojej ulubionej książki matematycznej functions:
max(a,b),min(a,b): maksimum / minimum
gt(a,b): jeżeli a>b jest 1, w przeciwnym razie 0
lt(a,b): jeżeli a<b jest 1, w przeciwnym razie 0
eq(a,b): jeżeli a==b jest 1, w przeciwnym razie 0
sin, cos, tan, sinh, cosh, tanh, exp, log, abs Określona przez użytkownika jakość do określonych partii (zakończenie, napisy końcowe, ...) (krok 1/2). Opcje to <klatka-początkowa>, <klatka-końcowa>, <qujakość>[/<klatka-początkowa>, <klatka-końcowa>, <jakość>[/...]]: jakość 2-31: quantizer
jakość -500-0: korekcja jakości w % złożenie początkowe(krok 1) określ jak utrzymywać quantizera pomiędzy qmin i qmax (klatka 1/2): 0: użyj obcinania
1: użyj ładnych różniących się funkcji (domyślne) pojedynczy efektywny próg eliminacji dla luminance. Ujemne wartości będą także rozważane do efektywnego (powinny być najmniejsze -4) lub zniżone do kodowania na quant=1): 0: wyłączony (domyślne)
-4 (sugeracja JVT) pojedynczy nieefektywny próg eliminacji dla chrominance. Ujemne wartości będą także rozważane do nieefektywnego (powinny być najmniejsze -4) lub zniżone do kodowania na quant=1): 0 wyłączone (domyślnie)
7 (sugerowane JVT) Ścisły standard uległości 0: wyłączony (domyślne)
1: sugerowane tylko jeśli chcesz przekierować wyjście do poleconego dekodera mpeg4
-1: pozwala na nie-standardowe kodowanie YV12 huffyuv (20% mniejsze pliki, ale nie będą mogły być odtwarzane przez oficjalne kodeki huffyuv) partycjonowanie daty. Dodaje 2 bajty na pakiet wideo, poprawia błąd-opór, kiedy przesyła przez niepewne kanały (np. strumienie przez Internet) Każdy pakiet wideo będzie skodowany w 3 oddzielonych porcjach: 1. MVs (=ruch)
2. współczynnik DC (=obraz w niskiej rozdzielczości)
3. współczynnik AC (=detale) MV & DC są najważniejsze, utrata ich oznacza o wile gorzej niż utrata AC, a porcje 1. & 2. (MV&DC) są dużo mniejsze niż 3. porcja (AC) co oznacza, że błędy dotyczą częściej porcji AC niż porcji MV&DC. Tak więc, obraz będzie wyglądał lepiej z porcjowaniem niż bez niego, jako że bez porcjowania błąd popsułby wszystkie AC/DC/MV. rozmiar pakietów wideo, poprawia błąd-opór (zobacz także opcję -vdpart): 0: wyłączone (domyślne)
100-1000: dobry wybór kodowanie tylko w skali szarości (szybkie) (domyślnie: wyłączone) algorytm dct: 0: automatycznie wybiera dobre (domyślne)
1: szybka liczba całkowita
2: dokładna liczba całkowita
3: mmx
4: mlib algorytm idct. Informacja: Dla najlepszego ze znanych nam, te IDCTy przechodzą testy IEEE1180. 0: automatycznie wybierz dobry (domyślne)
1: jpeg reference integer
2: simple
3: simplemmx
4: libmpeg2mmx (niedokładne, NIE UŻYWAJ do kodowania z keyint >100)
5: ps2
6: mlib
7: arm maskowanie luminance. Ostrzeżenie: Bądź ostrożny, zbyt duże wartości mogą spowodować zgubne rzeczy. Ostrzeżenie2: Duże wartości mogą wyglądać dobrze na niektórych monitorach, ale mogą wyglądać okropnie na innych: 0.0: wyłączone (domyślne)
0.0-0.3: rozsądny przedział maskowanie ciemności. Ostrzeżenie: bądź ostrożny, zbyt duże wartości mogą spowodować zgubne rzeczy. Ostrzeżenie2: duże wartości mogą wyglądać dobrze na niektórych monitorach ale mogą wyglądać okropnie na innych/ TV / TFT: 0.0: wyłączone (domyślne)
0.0-0.3: rozsądny przedział podręczne złożone maskowanie (domyślnie: 0.0 (wyłączone)) złożone przestrzenne maskowanie. Większe wartości pomogą przeciwko blockiness, jeśli nie debblokuje filtra jest użyte do kodowania. Tip: Obetnij wszelkie czarne obramowania, ponieważ one obniżają jakość makro bloków (obniżają zresztą też bez scplx_mask). 0.0: wyłączone (domyślne)
0.0-0.5: rozsądny przedział Kiedy używa przystosowania quantyzacji (*_maska), średnia quantizera na MB może dobrać nie większy wymagany poziom kaltki (z ang. frame-level) quantizera. Naq usiłuje dostosować quantizer na MB, abu utrzymać odpowiednią średnią. użyj przeplatanego dct YV12: domyślnie
422P: dla huffyuv (dla huffyuv) 0: lewe przewidywanie (left prediction)
1: poziome/gradientowe przewidywanie
2: przewidywanie median użyj quarter pel motion compensation Porada: Wygląda na to, że to jest użyteczne tylko dla kodowania z wysokim bitrate. porównanie funkcji ruchu dla oceny przed krokowej porównanie funkcji dla pełnej oceny ruchu pel porównanie funkcji dla oceny pod ruchu pel 0 (SAD): suma absolutnej różnicy, szybkie (domyślne)
1 (SSE): suma błędów
2 (SATD): suma obsolutnej różnicy przekształconego hadamard'u
3 (DCT): suma obsolutnej różnicy przekształconego dct
4 (PSNR): suma błędów quantyzacji (nie używa, niska jakość)
5 (BIT): liczba bitów potrzebnych dla bloku
6 (RD): optymalne tempo zniekształcenia, wolne
7 (ZERO): 0
+256: użyj także chroma, nie działa obecnie (poprawnie) z klatkami B Typ diamentu i rozmiar oceny ruchu przed krokiem. Typ diamentu i rozmiar oceny ruchu. Informacja: Rozmiary narmalnych diamentów i figur nie mają tych samych znaczeń -3: adaptacja figur (szybkie) diamentu z rozmiarem 3
-2: adaptacja figur (szybkie) diamentu z rozmiarem 2
-1: eksperymentalne
 1: narmalny rozmiar=1 diamentu (domyślnie) typ=EPZS diamentu
      0
     000
      0
 2: normalny rozmiar=2 diamentu
      0
     000
    00000
     000
      0
Tresllist quantyzacji. To będzie szukać optymalnego kodowania dla każdego bloku 8x8. Tresllist quantyzacji jest wyjściem prostej optymalnej quantyzacji w PSNR przeciw znaczeniu bitreat'u (zakładając, że nie będzie tam błędów wprowadzanych przez IDCT, który jest oczywiście nie przypadkiem) łatwo to szuka bloki dla minimalnej liczby błędów i lambda*bity. lambda: stała zależność qp
bits: ilość potrzebnych bitów do kodowania bloku
error: suma błędów quantyzacji Ilość przewidywanych ruchów z poprzedniej klatki 0: (domyślnie)
a: will 2a+1 x 2a+1 macro block square of motion vector predictors from the previous frame a: użyje 2a+1 x 2a+1 kwadratu makro bloku wektora ruchu przewidywanych z poprzedniej klatki ocena ruchu prtzed krokiem 0: wyłączone
1: tylko po I klatce (domyślne)
2: zawsze subpel udoskonala jakość (dla qpel) (domyślnie: 8). Informacja: Ma to znaczący efekt na prędkości wyświetl psnr (peak signal to noise ratio - szczyt sygału do stosunku szumu) dla całego wideo po kodowaniu i przechowuj psnr na klatkę w pliku o nazwie podobnej do 'psnr_012345.log'. Zwracane wartości są w dB (decybelach), im wyższe tym lepsze. użyj quantizerów MPEG zamiast H.263. (domyślnie: wyłączone) (np. używa quantizerów H.263) zaawansowane przewidywanie intra (tylko H.263+) Informacja: vqmin powinno być 8 lub wyższe. nielimitowane MVy (wektory ruchu) (tylko H.263+) Pozwala na kodowanie arbitralnie długich MVy. intra quantizer bias (256 == 1.0)
styl mpeg quantizera domyślnie: 96
styl h263 quantizera domyślnie: 0
Informacja: h263 MMX quantizer nie może obsłużyć dodatnich biasów (użyj vfdct=1or2)
            mpeg MMX quantizer nie może obsłużyć ujemnych biasów (użyj vfdct=1or2) inter quantizer bias (256 == 1.0)
styl mpeg quantizera domyślnie: 0
styl h263 quantizera domyślnie: -64
Informacja: h263 MMX quantizer nie może obsłużyć dodatnich biasów (użyj vfdct=1or2)
            mpeg MMX quantizer nie może obsłużyć ujemnych biasów (użyj vfdct=1or2)

-noskip
    Nie pomijaj klatek.

-o <nazwa pliku>
    Dane wyjściowe przekazywane do <nazwa pliku>, zamiast domyślnego 'test.avi'.

-oac <nazwa kodeka>
    Koduj podanym kodekiem audio. Użyj -oac help, aby otrzymać listę dostępnych kodeków. Nie ma ustalonego domyślnego. PRZYKŁAD: nie kodowanie, tylko kopiowanie strumienia kodowanie do odkompresowanego PCM kodowanie do MP3 (używa Lame)

-of <format> (KOD BETA!)
    Koduj do wybranego formatu. Użyj -of help, aby otrzymnać listę dostępnych formatów. PRZYKŁAD: koduj do avi (domyślne) koduj do mpeg

-ofps <fps>
    Plik wyjściowy będzie miał różne klatki/sekundę, niż źródło. MUSISZ ustawić go dla zmiennych fps (asf, większość mov) i plików progresywnych (29.97fps telecined mpeg).

-ovc <nazwa kodeka>
    Koduje z podanym kodekiem video. Użyj -ovc help, aby otrzymać listę dostępnych kodeków. (nie ma domyślnego) PRZYKŁAD: nie koduj, tylko kopiuj strumień koduj do DivX4/DivX5 koduj do odkompesowanego RGB24 koduj z kodekami libavcodec

-passlogfile <nazwa pliku>
    Kiedy koduje w trybie 2-krokowym, MEncoder zrzuca najpierw informacje o pierwszym kroku do podanego pliku zamiast domyślnego divx2pass.log.

-skiplimit <wartość>
    Maksymalne porzucanie klatek po nie-porzuconej (-noskiplimit dla nieograniczonej liczby).

-v, --verbose
    Przyrost poziomu wyświetlania informacji (większe -v daje więcej informacji). tylko same "luźne" wyjście (domyślnie) same zasadnicze informacje o debugowaniu, nagłówki avi, wartości funkcji (początek debugowania) wyświetl indeksy avi, kawałki wejść, więcej informacji o debugowaniu (debugowanie udtwarzacza) wyświetl wszystko odnoszące się wejścia analizatorów (debugowanie anlizatorów)

-vobsubout <nazwa bazy>
    Określ nazwę bazy dla danych wyjściowych plików .idx i .sub. Wyłączy to renderowanie napisów w kodowanym filmie i zamieni je do pliku napisów Vobsub.

-vobsuboutindex <index>
    Określ index wyjściowego pliku napisów. (domyślnie: 0).

-vobsuboutid <langid>
    Wybierz dwu literowy kod języka napisów. Unieważni to, co jest czytane z DVD lub pliku .ifo.

-xvidencopts <opcja1:opcja2:...>
    Jeśli koduje do XviD, możesz wybrać jego parametry tutaj.
    Są trzy dostępne tryby: stały bitrate (CBR), ustalony quantizer i 2kroki (2pass).
    Dostępne opcje to: wyszczególnij kroki w trybie 2-krokowym mode ustaw używany bitrate, w bitach/sekundy, jeżeli <16000 lub w bits/second jeżeli >16000 (CBR lub tryb 2-krokowy, standardowo=687 kbits/s) przełącz do trybu stałego quantizera i wybierz quantizer, który ma być użyty wybierz jakość detekcji ruchu (domyślne = 4) użyj 4 vektory ruchu na makro-blok, może dać lepszą jakość na koszt wolnego kodowania (domyślne=off) określ szybkość reakcji kontroli tempa, małe wartości są szybsze do zakresu wymagającego średniej rozmiar bufora kontroli tempa min & max quantizer dla wszystkich klatek (domyślnie=2-31, tryb CBR)
    min & max quantizer dla klatek I/P (domyślnie=2-31/2-31, tryb 2-krokowy) minimalna przerwa pomiędzy key klatkami (domyślnie=0, tylko 2krokowy) maksymalna przerwa pomiędzy key klatkami (domyślnie=10*fps) użyj quantizery MPEG zamiast H.263 (domyślnie=off) decyduje czy użyć quantizera MPEG czy H.263 w podstawie frame-by-frame. (default=off, 2pass mode only) użyj algorytmu lumimasking (domyślnie=off, wydaje się, że ma błędy) zapisz wektory Motion Estimation do pliku podczas pierwszego kroku i użyj tego pliku w drugim (domyślnie=off, tylko tryb 2-krokowy, wydaje się, że ma błędy) określ tymczasowy plik, który będzie użyty przez opcję 'hintedme' (domyślnie= ./xvid_hint_me.dat, tylko tryb 2-krokowy) zapisz komunikaty debugowania w xvid.dbg (domyślne: off)
    to *nie* jest plik kontrolny trybu 2-krokowego (domyślnie=0, tylko tryb 2krokowy) (domyślnie=10, tylko tryb 2krokowy) (domyślnie=30, tylko tryb 2krokowy)

KONTROLA KLAWIATURY
INFORMACJA:
MPlayer ma w pełni konfiguralne sterowanie komendami, kontrolę warstw, którymi pozwala Ci na kontrolowanie nim. MPlayer używa klawiatury, myszy, dżojstika, lub zdalną kontrolę (korzysta z lirc).
Domyślny plik konfiguracyjny do systemu wejściowego, to: ~/.mplayer/input.conf, lecz możesz go unieważnić używając opcji -input conf.
Te klawisze mogą/ nie działać, zależy to od Twoich sterowników wyjścia wideo.

kontrola podstawowa
    skocz w tył/w przód o 10 sekund skocz w tył/w przód o 1 minutę skocz w tył/w przód o 10 minut w przód/w tył w playliście idź do następnego/poprzedniego play-drzewa pochodzącego z głównej listy. idź do następnego/poprzedniego alternatywnego źródła (tylko playlista asx) pause'uj film (dowolny klawisz włącza z powrotem) zatrzymaj odtwarzanie i wyjdź modyfikuj zwlekanie audio przez +/- 0.1 sekund zmniejszenie/zwiększenie głośności zmniejszenie/zwiększenie głośności zmniejszenie/zwiększenie zakresu panscan modyfikuj zwlekanie napisów przez by +/- 0.1 sekund modyfikuj pozycję napisów ustaw znak EDL
(Następujące klawisze działają tylko jeżeli używasz wyjścia wideo ze sprzętową akceleracją (xv, (x)vidix, (x)mga, etc), lub programowego filtru koreksji (-vf eq or -vf eq2). modyfikacja kontrastu modyfikacja jasności modyfikacja barwy (kolorów) modyfikacja nasycenia

Kontrola klawiatury GUI
    zacznij odtwarzać

Kontrola wejścia TV
    wybierz poprzedni/następny kanał

Kontrola wejścia DVDNAV
    przejrzyj góra/dół/lewo/prawo

PROTOKÓŁ TRYBU SLAVE
Jeżeli opcja -slave jest podana, odtwarzanie jest kontrolowane przez protokół line-based. Każda linia musi zawierać jedną komendę w przeciwnym razie jedną z następujących wartości:

Komendy
    Skocz do dowolnego miejsca w filmie. Typ 0 jest skokiem względnym przez +/- <wartość> sekund. Typ 1 - skok do <wartość> % w filmie. Typ 2 - skok do pozycji <wartość> sekund. Modyfikuj zwlekanie audio w sekundach Opuść MPlayer'a Pause/odpause'owanie odtwarzania Wie ktoś? Idź do następnego/poprzedniego wejścia w play-drzewie. Tak jak pt_step ale skacze do następnego/poprzedniego w głównej liście. Kiedy więcej niż jedno źródło jest dostępne, to wybiera następne/poprzednie (wspierane tylko przez palylistę asx). Modyfikuj zwlekanie napisów przez +/- <wartość> sekund, albo ustaw to do <wartości> w sekundach, kiedy abs nie jest zerowe. Przełącz tryb osd, lub ustaw jego poziom, kiedy poziom jest > 0. Zwiększenie/zmniejszenie głośności
    Ustaw/modyfikuj parametry wideo. Przełącz/Ustaw tryb porzucania klatek. spręż widoczność napisów Modyfikuj położenie napisów. Przełącz w tryb pełnoekranowy. Wybierz następny/poprzedni kanał tv. Zmień normę TV. Zmień listę kanałów. Akcje GUI

PLIKI

/etc/mplayer/mplayer.conf
    główny plik ustawień

~/.mplayer/config
    ustawienia użytkownika

~/.mplayer/input.conf
    ustawienia wejścia (Patrz '-input keylist' dla listy wszystkich klawiszy)

~/.mplayer/gui.conf
    plik konfiguracyjny GUI

~/.mplayer/gui.pl
    playlista GUI

~/.mplayer/font/
    katalog czcionki (Musi znajdować się tutaj plik font.desc i plik z rozszerzeniem .RAW.)

~/.mplayer/DVDkeys/
    Zkrakowane klucze CSS
Napisy są szukane w katalogu filmu
    (dla przykładu /mnt/movie/movie.avi): /mnt/cdrom/movie.sub
    ~/.mplayer/sub/movie.sub
    ~/.mplayer/default.sub

PRZYKŁADY

Szybki start odtwarzania DVD
    mplayer vd://1

Odtwarzaj w japońskim z angielskimi napisami
    mplayer vd://1 -alang ja -slang en

Odtwarzaj tylko rozdziały 5, 6, 7
    mplayer vd://1 -chapter 5-7

Odtwarzanie DVD z różnych ujęć
    mplayer vd://1 -dvdangle 2

Odtwarzanie z innego urządzenia DVD
    mplayer vd://1 -dvd-device /dev/dvd2

Odtwarzanie starego stylu DVD (VOB)
    mplayer -dvdauth /dev/dvd /mnt/dvd/VIDEO_TS/VTS_02_4.VOB

Strumień z HTTP
    mplayer http://mplayer.hq/example.avi

strumień używający RTSP
    mplayer rtsp://server.example.com/streamName

Konwertuj napisy do MPsub (do ./dump.mpsub)
    mplayer dummy.avi -sub source.sub -dumpmpsub

Wejście z domyślnego V4L
    mplayer -tv on:driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Kodowanie tytułu #2 DVD, tylko wybranych rozdziałów
    mencoder vd://2 -chapter 10-15 -o title2.avi -oac copy -ovc divx4

Kodowanie tytułu #2 DVD, zmieniając rozmiar do 640x480
    mencoder vd://2 -vf scale=640:480 -o title2.avi -oac copy -ovc divx4

Kodowanie tytułu #2 DVD, zmieniając rozmiar do 512xHHH (zachowaj stosunek
    obrazu) mencoder vd://2 -vf scale -zoom -xy 512 -o title2.avi -oac copy -ovc divx4

To samo, ale z rodziną kodeków libavcodec, kompresja MPEG4 (Divx5)
    mencoder vd://2 -o title2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

To samo, ale z rodziną kodeków libavcodec, kompresja MJPEG
    mencoder vd://2 -o titel2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Kodowanie wszystkich plików *.jpg w aktualnym katalog
    mencoder \*.jpg -mf on:fps=25 -o output.avi -ovc divx4

Kodowanie z tunera (patrz dokumentacja!)
    mencoder -tv on:driver=v4l:width=640:height=480 -o tv.avi -ovc rawrgb

Kodowanie z archiwum
    rar p test-SVCD.rar | mencoder -ovc divx4 -divx4opts br=800 -ofps 24 -- -

Kodowanie zbiorowych plików *.vob
    cat *.vob | mencoder <opcje> -

BŁĘDY
Prawdopodobne. PROSIMY, podwójnie sprawdź dokumentację (zwłaszcza bugreports.html), FAQ i archiwum grupy mailingowej, przed wysłaniem błędu!
Wyślij kompletny raport o błędzie do grupy mailingowej MPlayer-users na <mplayer-users@mplayerhq.hu>. Kochamy kompletne raporty:)

AUTORZY
Sprawdź dokumentację!

MPlayer is (C) 2000-2003
    Arpad Gereoffy

Ta strona manuala jest tworzona i utrzymywana przez:
    Gabucino
    Diego Biurrun
    Jonas Jermann

Strona przetłumaczona przez (kolejność przypadkowa):
    Adriana Pawlika < imoteph@wp.pl >
    Konrada Materkę < kmaterka@wp.pl >

Pocztę odnośnie manuala prosimy przesyłać do grupy maillingowej MPlayer-users, informacje o błędach w tłumaczeniu bezpośrednio do tłumaczy.

ADNOTACJA
Używaj tylko na własną odpowiedzialność! Mogą znajdować się tu błędy i nieścisłości, które mogłyby uszkodzić Twój system, lub Twoje oczy. Używaj z ostrożnością i choć jest to mało prawdopodobne, autor nie bierze jakiejkolwiek odpowiedzialności za to!

OD TŁUMACZY
Tłumaczenie może zawierać duże błędy, niektóre słowa mogły być przetłumaczone błędnie lub nie powinny być tłumaczone. Jeśli zauważysz jakiś błąd, popraw go i prześlij do autorów manuala (oryginalnego, bądź tłumaczenia). Tłumaczenie oparte na oryginalnym pliku dołączonym do wersji 0.90-pre4, poprawiane sukcesywnie, do wersji CVS z dnia 25.03.2003.